﻿module("VOICE")

distances = {}

distances.patterns = {
	L"1",
	L"10",
	L"1000_feet-e",
	L"1000_feet-m",
	L"11",
	L"12",
	L"13",
	L"14",
	L"15",
	L"16",
	L"17",
	L"18",
	L"19",
	L"1_and",
	L"1_point",
	L"2",
	L"20",
	L"200",
	L"2_and",
	L"2_point",
	L"3",
	L"30",
	L"300",
	L"3_and",
	L"3_point",
	L"3_quarters_of_a_mile-e",
	L"3_quarters_of_a_mile-m",
	L"4",
	L"40",
	L"400",
	L"4_and",
	L"4_point",
	L"5",
	L"50",
	L"500",
	L"5_and",
	L"5_point",
	L"6",
	L"60",
	L"600",
	L"6_and",
	L"6_point",
	L"7",
	L"700",
	L"7_and",
	L"7_point",
	L"8",
	L"800",
	L"80_km-e",
	L"80_km-m",
	L"80_me-e",
	L"80_me-m",
	L"80_mi-e",
	L"80_mi-m",
	L"80_y-e",
	L"80_y-m",
	L"8_and",
	L"8_point",
	L"9",
	L"900",
	L"9_and",
	L"9_point",
	L"after-1",
	L"after-100",
	L"after-100b",
	L"after-100c",
	L"after-11",
	L"after-18",
	L"after-2",
	L"after-3",
	L"after-4",
	L"after-5",
	L"after-50",
	L"after-6",
	L"after-7",
	L"after-8",
	L"after-9",
	L"after-mi-3q",
	L"after-pt",
	L"after_1_mile-e",
	L"after_1_mile-m",
	L"after_70_km-e",
	L"after_70_km-m",
	L"after_70_me-e",
	L"after_70_me-m",
	L"after_70_mi-e",
	L"after_70_mi-m",
	L"after_70_y-e",
	L"after_70_y-m",
	L"after_90_km-e",
	L"after_90_km-m",
	L"after_90_me-e",
	L"after_90_me-m",
	L"after_90_mi-e",
	L"after_90_mi-m",
	L"after_90_y-e",
	L"after_90_y-m",
	L"after_a_quarter_mile-e",
	L"after_a_quarter_mile-m",
	L"after_half_mile-e",
	L"after_half_mile-m",
	L"after_more",
	L"and-10-km-e",
	L"and-10-km-m",
	L"and-10-me-e",
	L"and-10-me-m",
	L"and-10-mi-e",
	L"and-10-mi-m",
	L"and-10-y-e",
	L"and-10-y-m",
	L"and-20-km-e",
	L"and-20-km-m",
	L"and-20-me-e",
	L"and-20-me-m",
	L"and-20-mi-e",
	L"and-20-mi-m",
	L"and-20-y-e",
	L"and-20-y-m",
	L"and-30-km-e",
	L"and-30-km-m",
	L"and-30-me-e",
	L"and-30-me-m",
	L"and-30-mi-e",
	L"and-30-mi-m",
	L"and-30-y-e",
	L"and-30-y-m",
	L"and-40-km-e",
	L"and-40-km-m",
	L"and-40-me-e",
	L"and-40-me-m",
	L"and-40-mi-e",
	L"and-40-mi-m",
	L"and-40-y-e",
	L"and-40-y-m",
	L"and-50-f-e",
	L"and-50-f-m",
	L"and-50-km-e",
	L"and-50-km-m",
	L"and-50-me-e",
	L"and-50-me-m",
	L"and-50-mi-e",
	L"and-50-mi-m",
	L"and-50-y-e",
	L"and-50-y-m",
	L"and-60-km-e",
	L"and-60-km-m",
	L"and-60-me-e",
	L"and-60-me-m",
	L"and-60-mi-e",
	L"and-60-mi-m",
	L"and-60-y-e",
	L"and-60-y-m",
	L"and-70-km-e",
	L"and-70-km-m",
	L"and-70-me-e",
	L"and-70-me-m",
	L"and-70-mi-e",
	L"and-70-mi-m",
	L"and-70-y-e",
	L"and-70-y-m",
	L"and-80-km-e",
	L"and-80-km-m",
	L"and-80-me-e",
	L"and-80-me-m",
	L"and-80-mi-e",
	L"and-80-mi-m",
	L"and-80-y-e",
	L"and-80-y-m",
	L"and-90-km-e",
	L"and-90-km-m",
	L"and-90-me-e",
	L"and-90-me-m",
	L"and-90-mi-e",
	L"and-90-mi-m",
	L"and-90-y-e",
	L"and-90-y-m",
	L"and_20-km-e",
	L"and_20-km-m",
	L"and_20-mi-e",
	L"and_20-mi-m",
	L"and_30-km-e",
	L"and_30-km-m",
	L"and_30-mi-e",
	L"and_30-mi-m",
	L"and_40-km-e",
	L"and_40-km-m",
	L"and_40-mi-e",
	L"and_40-mi-m",
	L"and_50-km-e",
	L"and_50-km-m",
	L"and_50-mi-e",
	L"and_50-mi-m",
	L"and_60-km-e",
	L"and_60-km-m",
	L"and_70-km-e",
	L"and_70-km-m",
	L"and_70-mi-e",
	L"and_70-mi-m",
	L"and_80-km-e",
	L"and_80-km-m",
	L"and_80-mi-e",
	L"and_80-mi-m",
	L"and_90-km-e",
	L"and_90-km-m",
	L"and_90-mi-e",
	L"and_90-mi-m",
	L"drive-1",
	L"drive-100",
	L"drive-11",
	L"drive-18",
	L"drive-2",
	L"drive-3",
	L"drive-4",
	L"drive-5",
	L"drive-50",
	L"drive-6",
	L"drive-7",
	L"drive-8",
	L"drive-9",
	L"drive-mi-3q",
	L"drive-pt",
	L"drive_1_mile-e",
	L"drive_70_km-e",
	L"drive_70_me-e",
	L"drive_70_mi-e",
	L"drive_70_y-e",
	L"drive_90_km-e",
	L"drive_90_me-e",
	L"drive_90_mi-e",
	L"drive_90_y-e",
	L"drive_a_quarter_mile-e",
	L"drive_half_mile-e",
	L"drive_more",
	L"feet-100-e",
	L"feet-100-m",
	L"feet-50-e",
	L"feet-50-m",
	L"kilometer-100-e",
	L"kilometer-100-m",
	L"kilometer-e-1",
	L"kilometer-m-1",
	L"kilometers-e-13",
	L"kilometers-e-20",
	L"kilometers-e-30",
	L"kilometers-e-50",
	L"kilometers-m-13",
	L"kilometers-m-2",
	L"kilometers-m-20",
	L"kilometers-m-3",
	L"kilometers-m-30",
	L"kilometers-m-4",
	L"kilometers-m-5",
	L"kilometers-m-50",
	L"kilometers-m-6",
	L"kilometers-m-7",
	L"kilometers-m-8",
	L"kilometers-m-9",
	L"meters-100-e",
	L"meters-100-m",
	L"meters-e-10",
	L"meters-e-20",
	L"meters-e-30",
	L"meters-e-50",
	L"meters-m-10",
	L"meters-m-20",
	L"meters-m-30",
	L"meters-m-50",
	L"miles-100-e",
	L"miles-100-m",
	L"miles-e-10",
	L"miles-e-11",
	L"miles-e-12",
	L"miles-e-13",
	L"miles-e-2",
	L"miles-e-20",
	L"miles-e-3",
	L"miles-e-30",
	L"miles-e-4",
	L"miles-e-5",
	L"miles-e-50",
	L"miles-e-6",
	L"miles-e-7",
	L"miles-e-8",
	L"miles-e-9",
	L"miles-e-pt_1",
	L"miles-e-pt_2",
	L"miles-e-pt_3",
	L"miles-e-pt_4",
	L"miles-e-pt_5",
	L"miles-e-pt_6",
	L"miles-e-pt_7",
	L"miles-e-pt_8",
	L"miles-e-pt_9",
	L"miles-m-10",
	L"miles-m-11",
	L"miles-m-12",
	L"miles-m-13",
	L"miles-m-2",
	L"miles-m-20",
	L"miles-m-3",
	L"miles-m-30",
	L"miles-m-4",
	L"miles-m-5",
	L"miles-m-50",
	L"miles-m-6",
	L"miles-m-7",
	L"miles-m-8",
	L"miles-m-9",
	L"miles-m-pt_1",
	L"miles-m-pt_2",
	L"miles-m-pt_3",
	L"miles-m-pt_4",
	L"miles-m-pt_5",
	L"miles-m-pt_6",
	L"miles-m-pt_7",
	L"miles-m-pt_8",
	L"miles-m-pt_9",
	L"point_1",
	L"point_2",
	L"point_3",
	L"point_4",
	L"point_5",
	L"point_6",
	L"point_7",
	L"point_8",
	L"point_9",
	L"trip-1",
	L"trip-100",
	L"trip-11",
	L"trip-18",
	L"trip-2",
	L"trip-3",
	L"trip-4",
	L"trip-5",
	L"trip-50",
	L"trip-6",
	L"trip-7",
	L"trip-8",
	L"trip-9",
	L"trip-mi-3q",
	L"trip-pt",
	L"trip_1_mile-e",
	L"trip_70_km-e",
	L"trip_70_me-e",
	L"trip_70_mi-e",
	L"trip_70_y-e",
	L"trip_90_km-e",
	L"trip_90_me-e",
	L"trip_90_mi-e",
	L"trip_90_y-e",
	L"trip_a_quarter_mile-e",
	L"trip_half_mile-e",
	L"yards-100-e",
	L"yards-100-m",
	L"yards-e-10",
	L"yards-e-20",
	L"yards-e-30",
	L"yards-e-50",
	L"yards-m-10",
	L"yards-m-20",
	L"yards-m-30",
	L"yards-m-50",
}

distances.meters = {
	10, "\69\130\8\0\69\130\4\0\129\83\130\4\0\130\75\130\4\0",
	20, "\69\17\130\9\0\69\130\5\0\129\83\130\5\0\130\75\130\5\0",
	30, "\70\22\130\10\0\70\22\130\6\0\129\84\22\130\6\0\130\76\22\130\6\0",
	40, "\71\29\130\10\0\71\29\130\6\0\129\85\29\130\6\0\130\77\29\130\6\0",
	50, "\73\34\130\11\0\73\34\130\7\0\129\87\34\130\7\0\130\79\34\130\7\0",
	60, "\70\39\130\11\0\70\39\130\7\0\129\84\39\130\7\0\130\76\39\130\7\0",
	70, "\85\0\84\0\129\96\0\130\88\0",
	80, "\71\52\0\71\51\0\129\85\51\0\130\77\51\0",
	90, "\93\0\92\0\129\100\0\130\92\0",
	100, "\64\130\3\0\64\130\2\0\129\80\130\2\0\130\72\130\2\0",
	110, "\64\106\0\64\105\0\129\80\105\0\130\72\105\0",
	120, "\64\114\0\64\113\0\129\80\113\0\130\72\113\0",
	130, "\64\122\0\64\121\0\129\80\121\0\130\72\121\0",
	140, "\65\129\2\0\64\129\1\0\129\80\129\1\0\130\72\129\1\0",
	150, "\65\129\12\0\64\129\11\0\129\80\129\11\0\130\72\129\11\0",
	160, "\65\129\20\0\64\129\19\0\129\80\129\19\0\130\72\129\19\0",
	170, "\65\129\28\0\64\129\27\0\129\80\129\27\0\130\72\129\27\0",
	180, "\65\129\36\0\64\129\35\0\129\80\129\35\0\130\72\129\35\0",
	190, "\66\129\44\0\64\129\43\0\129\80\129\43\0\130\72\129\43\0",
	200, "\69\18\130\3\0\69\18\130\2\0\129\83\18\130\2\0\130\75\18\130\2\0",
	210, "\69\18\106\0\69\18\105\0\129\83\18\105\0\130\75\18\105\0",
	220, "\69\18\114\0\69\18\113\0\129\83\18\113\0\130\75\18\113\0",
	230, "\69\18\122\0\69\18\121\0\129\83\18\121\0\130\75\18\121\0",
	240, "\69\18\129\2\0\69\18\129\1\0\129\83\18\129\1\0\130\75\18\129\1\0",
	250, "\69\18\129\12\0\69\18\129\11\0\129\83\18\129\11\0\130\75\18\129\11\0",
	260, "\69\18\129\20\0\69\18\129\19\0\129\83\18\129\19\0\130\75\18\129\19\0",
	270, "\69\18\129\28\0\69\18\129\27\0\129\83\18\129\27\0\130\75\18\129\27\0",
	280, "\69\18\129\36\0\69\18\129\35\0\129\83\18\129\35\0\130\75\18\129\35\0",
	290, "\69\18\129\44\0\69\18\129\43\0\129\83\18\129\43\0\130\75\18\129\43\0",
	300, "\70\23\130\3\0\70\23\130\2\0\129\84\23\130\2\0\130\76\23\130\2\0",
	310, "\70\23\106\0\70\23\105\0\129\84\23\105\0\130\76\23\105\0",
	320, "\70\23\114\0\70\23\113\0\129\84\23\113\0\130\76\23\113\0",
	330, "\70\23\122\0\70\23\121\0\129\84\23\121\0\130\76\23\121\0",
	340, "\70\23\129\2\0\70\23\129\1\0\129\84\23\129\1\0\130\76\23\129\1\0",
	350, "\70\23\129\12\0\70\23\129\11\0\129\84\23\129\11\0\130\76\23\129\11\0",
	360, "\70\23\129\20\0\70\23\129\19\0\129\84\23\129\19\0\130\76\23\129\19\0",
	370, "\70\23\129\28\0\70\23\129\27\0\129\84\23\129\27\0\130\76\23\129\27\0",
	380, "\70\23\129\36\0\70\23\129\35\0\129\84\23\129\35\0\130\76\23\129\35\0",
	390, "\70\23\129\44\0\70\23\129\43\0\129\84\23\129\43\0\130\76\23\129\43\0",
	400, "\71\30\130\3\0\71\30\130\2\0\129\85\30\130\2\0\130\77\30\130\2\0",
	410, "\71\30\106\0\71\30\105\0\129\85\30\105\0\130\77\30\105\0",
	420, "\71\30\114\0\71\30\113\0\129\85\30\113\0\130\77\30\113\0",
	430, "\71\30\122\0\71\30\121\0\129\85\30\121\0\130\77\30\121\0",
	440, "\71\30\129\2\0\71\30\129\1\0\129\85\30\129\1\0\130\77\30\129\1\0",
	450, "\71\30\129\12\0\71\30\129\11\0\129\85\30\129\11\0\130\77\30\129\11\0",
	460, "\71\30\129\20\0\71\30\129\19\0\129\85\30\129\19\0\130\77\30\129\19\0",
	470, "\71\30\129\28\0\71\30\129\27\0\129\85\30\129\27\0\130\77\30\129\27\0",
	480, "\71\30\129\36\0\71\30\129\35\0\129\85\30\129\35\0\130\77\30\129\35\0",
	490, "\71\30\129\44\0\71\30\129\43\0\129\85\30\129\43\0\130\77\30\129\43\0",
	500, "\72\35\130\3\0\72\35\130\2\0\129\86\35\130\2\0\130\78\35\130\2\0",
	510, "\72\35\106\0\72\35\105\0\129\86\35\105\0\130\78\35\105\0",
	520, "\72\35\114\0\72\35\113\0\129\86\35\113\0\130\78\35\113\0",
	530, "\72\35\122\0\72\35\121\0\129\86\35\121\0\130\78\35\121\0",
	540, "\72\35\129\2\0\72\35\129\1\0\129\86\35\129\1\0\130\78\35\129\1\0",
	550, "\72\35\129\12\0\72\35\129\11\0\129\86\35\129\11\0\130\78\35\129\11\0",
	560, "\72\35\129\20\0\72\35\129\19\0\129\86\35\129\19\0\130\78\35\129\19\0",
	570, "\72\35\129\28\0\72\35\129\27\0\129\86\35\129\27\0\130\78\35\129\27\0",
	580, "\72\35\129\36\0\72\35\129\35\0\129\86\35\129\35\0\130\78\35\129\35\0",
	590, "\72\35\129\44\0\72\35\129\43\0\129\86\35\129\43\0\130\78\35\129\43\0",
	600, "\74\40\130\3\0\74\40\130\2\0\129\88\40\130\2\0\130\80\40\130\2\0",
	610, "\74\40\106\0\74\40\105\0\129\88\40\105\0\130\80\40\105\0",
	620, "\74\40\114\0\74\40\113\0\129\88\40\113\0\130\80\40\113\0",
	630, "\74\40\122\0\74\40\121\0\129\88\40\121\0\130\80\40\121\0",
	640, "\74\40\129\2\0\74\40\129\1\0\129\88\40\129\1\0\130\80\40\129\1\0",
	650, "\74\40\129\12\0\74\40\129\11\0\129\88\40\129\11\0\130\80\40\129\11\0",
	660, "\74\40\129\20\0\74\40\129\19\0\129\88\40\129\19\0\130\80\40\129\19\0",
	670, "\74\40\129\28\0\74\40\129\27\0\129\88\40\129\27\0\130\80\40\129\27\0",
	680, "\74\40\129\36\0\74\40\129\35\0\129\88\40\129\35\0\130\80\40\129\35\0",
	690, "\74\40\129\44\0\74\40\129\43\0\129\88\40\129\43\0\130\80\40\129\43\0",
	700, "\75\44\130\3\0\75\44\130\2\0\129\89\44\130\2\0\130\81\44\130\2\0",
	710, "\75\44\106\0\75\44\105\0\129\89\44\105\0\130\81\44\105\0",
	720, "\75\44\114\0\75\44\113\0\129\89\44\113\0\130\81\44\113\0",
	730, "\75\44\122\0\75\44\121\0\129\89\44\121\0\130\81\44\121\0",
	740, "\75\44\129\2\0\75\44\129\1\0\129\89\44\129\1\0\130\81\44\129\1\0",
	750, "\75\44\129\12\0\75\44\129\11\0\129\89\44\129\11\0\130\81\44\129\11\0",
	760, "\75\44\129\20\0\75\44\129\19\0\129\89\44\129\19\0\130\81\44\129\19\0",
	770, "\75\44\129\28\0\75\44\129\27\0\129\89\44\129\27\0\130\81\44\129\27\0",
	780, "\75\44\129\36\0\75\44\129\35\0\129\89\44\129\35\0\130\81\44\129\35\0",
	790, "\75\44\129\44\0\75\44\129\43\0\129\89\44\129\43\0\130\81\44\129\43\0",
	800, "\76\48\130\3\0\76\48\130\2\0\129\90\48\130\2\0\130\82\48\130\2\0",
	810, "\76\48\106\0\76\48\105\0\129\90\48\105\0\130\82\48\105\0",
	820, "\76\48\114\0\76\48\113\0\129\90\48\113\0\130\82\48\113\0",
	830, "\76\48\122\0\76\48\121\0\129\90\48\121\0\130\82\48\121\0",
	840, "\76\48\129\2\0\76\48\129\1\0\129\90\48\129\1\0\130\82\48\129\1\0",
	850, "\76\48\129\12\0\76\48\129\11\0\129\90\48\129\11\0\130\82\48\129\11\0",
	860, "\76\48\129\20\0\76\48\129\19\0\129\90\48\129\19\0\130\82\48\129\19\0",
	870, "\76\48\129\28\0\76\48\129\27\0\129\90\48\129\27\0\130\82\48\129\27\0",
	880, "\76\48\129\36\0\76\48\129\35\0\129\90\48\129\35\0\130\82\48\129\35\0",
	890, "\76\48\129\44\0\76\48\129\43\0\129\90\48\129\43\0\130\82\48\129\43\0",
	900, "\77\60\130\3\0\77\60\130\2\0\129\91\60\130\2\0\130\83\60\130\2\0",
	910, "\77\60\106\0\77\60\105\0\129\91\60\105\0\130\83\60\105\0",
	920, "\77\60\114\0\77\60\113\0\129\91\60\113\0\130\83\60\113\0",
	930, "\77\60\122\0\77\60\121\0\129\91\60\121\0\130\83\60\121\0",
	940, "\77\60\129\2\0\77\60\129\1\0\129\91\60\129\1\0\130\83\60\129\1\0",
	950, "\77\60\129\12\0\77\60\129\11\0\129\91\60\129\11\0\130\83\60\129\11\0",
	960, "\77\60\129\20\0\77\60\129\19\0\129\91\60\129\19\0\130\83\60\129\19\0",
	970, "\77\60\129\28\0\77\60\129\27\0\129\91\60\129\27\0\130\83\60\129\27\0",
	980, "\77\60\129\36\0\77\60\129\35\0\129\91\60\129\35\0\130\83\60\129\35\0",
	990, "\77\60\129\44\0\77\60\129\43\0\129\91\60\129\43\0\130\83\60\129\43\0",
	1000, "\63\1\129\113\0\63\1\129\112\0\129\79\1\129\112\0\130\71\1\129\112\0",
	1100, "\63\15\130\62\129\113\0\63\15\130\62\129\112\0\129\79\15\130\62\129\112\0\130\71\15\130\62\129\112\0",
	1200, "\63\15\130\63\129\119\0\63\15\130\63\129\112\0\129\79\15\130\63\129\112\0\130\71\15\130\63\129\112\0",
	1300, "\63\15\130\64\129\121\0\63\15\130\64\129\112\0\129\79\15\130\64\129\112\0\130\71\15\130\64\129\112\0",
	1400, "\63\15\130\65\129\123\0\63\15\130\65\129\112\0\129\79\15\130\65\129\112\0\130\71\15\130\65\129\112\0",
	1500, "\63\15\130\66\129\124\0\63\15\130\66\129\112\0\129\79\15\130\66\129\112\0\130\71\15\130\66\129\112\0",
	1600, "\63\15\130\67\129\126\0\63\15\130\67\129\112\0\129\79\15\130\67\129\112\0\130\71\15\130\67\129\112\0",
	1700, "\63\15\130\68\129\127\0\63\15\130\68\129\112\0\129\79\15\130\68\129\112\0\130\71\15\130\68\129\112\0",
	1800, "\63\15\130\69\130\0\0\63\15\130\69\129\112\0\129\79\15\130\69\129\112\0\130\71\15\130\69\129\112\0",
	1900, "\63\15\130\70\130\1\0\63\15\130\70\129\112\0\129\79\15\130\70\129\112\0\130\71\15\130\70\129\112\0",
	2000, "\69\16\129\119\0\69\16\129\112\0\129\83\16\129\112\0\130\75\16\129\112\0",
	2100, "\69\20\130\62\129\113\0\69\20\130\62\129\112\0\129\83\20\130\62\129\112\0\130\75\20\130\62\129\112\0",
	2200, "\69\20\130\63\129\119\0\69\20\130\63\129\112\0\129\83\20\130\63\129\112\0\130\75\20\130\63\129\112\0",
	2300, "\69\20\130\64\129\121\0\69\20\130\64\129\112\0\129\83\20\130\64\129\112\0\130\75\20\130\64\129\112\0",
	2400, "\69\20\130\65\129\123\0\69\20\130\65\129\112\0\129\83\20\130\65\129\112\0\130\75\20\130\65\129\112\0",
	2500, "\69\20\130\66\129\124\0\69\20\130\66\129\112\0\129\83\20\130\66\129\112\0\130\75\20\130\66\129\112\0",
	2600, "\69\20\130\67\129\126\0\69\20\130\67\129\112\0\129\83\20\130\67\129\112\0\130\75\20\130\67\129\112\0",
	2700, "\69\20\130\68\129\127\0\69\20\130\68\129\112\0\129\83\20\130\68\129\112\0\130\75\20\130\68\129\112\0",
	2800, "\69\20\130\69\130\0\0\69\20\130\69\129\112\0\129\83\20\130\69\129\112\0\130\75\20\130\69\129\112\0",
	2900, "\69\20\130\70\130\1\0\69\20\130\70\129\112\0\129\83\20\130\70\129\112\0\130\75\20\130\70\129\112\0",
	3000, "\70\21\129\121\0\70\21\129\112\0\129\84\21\129\112\0\130\76\21\129\112\0",
	3100, "\70\25\130\62\129\113\0\70\25\130\62\129\112\0\129\84\25\130\62\129\112\0\130\76\25\130\62\129\112\0",
	3200, "\70\25\130\63\129\119\0\70\25\130\63\129\112\0\129\84\25\130\63\129\112\0\130\76\25\130\63\129\112\0",
	3300, "\70\25\130\64\129\121\0\70\25\130\64\129\112\0\129\84\25\130\64\129\112\0\130\76\25\130\64\129\112\0",
	3400, "\70\25\130\65\129\123\0\70\25\130\65\129\112\0\129\84\25\130\65\129\112\0\130\76\25\130\65\129\112\0",
	3500, "\70\25\130\66\129\124\0\70\25\130\66\129\112\0\129\84\25\130\66\129\112\0\130\76\25\130\66\129\112\0",
	3600, "\70\25\130\67\129\126\0\70\25\130\67\129\112\0\129\84\25\130\67\129\112\0\130\76\25\130\67\129\112\0",
	3700, "\70\25\130\68\129\127\0\70\25\130\68\129\112\0\129\84\25\130\68\129\112\0\130\76\25\130\68\129\112\0",
	3800, "\70\25\130\69\130\0\0\70\25\130\69\129\112\0\129\84\25\130\69\129\112\0\130\76\25\130\69\129\112\0",
	3900, "\70\25\130\70\130\1\0\70\25\130\70\129\112\0\129\84\25\130\70\129\112\0\130\76\25\130\70\129\112\0",
	4000, "\71\28\129\123\0\71\28\129\112\0\129\85\28\129\112\0\130\77\28\129\112\0",
	4100, "\71\32\130\62\129\113\0\71\32\130\62\129\112\0\129\85\32\130\62\129\112\0\130\77\32\130\62\129\112\0",
	4200, "\71\32\130\63\129\119\0\71\32\130\63\129\112\0\129\85\32\130\63\129\112\0\130\77\32\130\63\129\112\0",
	4300, "\71\32\130\64\129\121\0\71\32\130\64\129\112\0\129\85\32\130\64\129\112\0\130\77\32\130\64\129\112\0",
	4400, "\71\32\130\65\129\123\0\71\32\130\65\129\112\0\129\85\32\130\65\129\112\0\130\77\32\130\65\129\112\0",
	4500, "\71\32\130\66\129\124\0\71\32\130\66\129\112\0\129\85\32\130\66\129\112\0\130\77\32\130\66\129\112\0",
	4600, "\71\32\130\67\129\126\0\71\32\130\67\129\112\0\129\85\32\130\67\129\112\0\130\77\32\130\67\129\112\0",
	4700, "\71\32\130\68\129\127\0\71\32\130\68\129\112\0\129\85\32\130\68\129\112\0\130\77\32\130\68\129\112\0",
	4800, "\71\32\130\69\130\0\0\71\32\130\69\129\112\0\129\85\32\130\69\129\112\0\130\77\32\130\69\129\112\0",
	4900, "\71\32\130\70\130\1\0\71\32\130\70\129\112\0\129\85\32\130\70\129\112\0\130\77\32\130\70\129\112\0",
	5000, "\72\33\129\124\0\72\33\129\112\0\129\86\33\129\112\0\130\78\33\129\112\0",
	5100, "\72\37\130\62\129\113\0\72\37\130\62\129\112\0\129\86\37\130\62\129\112\0\130\78\37\130\62\129\112\0",
	5200, "\72\37\130\63\129\119\0\72\37\130\63\129\112\0\129\86\37\130\63\129\112\0\130\78\37\130\63\129\112\0",
	5300, "\72\37\130\64\129\121\0\72\37\130\64\129\112\0\129\86\37\130\64\129\112\0\130\78\37\130\64\129\112\0",
	5400, "\72\37\130\65\129\123\0\72\37\130\65\129\112\0\129\86\37\130\65\129\112\0\130\78\37\130\65\129\112\0",
	5500, "\72\37\130\66\129\124\0\72\37\130\66\129\112\0\129\86\37\130\66\129\112\0\130\78\37\130\66\129\112\0",
	5600, "\72\37\130\67\129\126\0\72\37\130\67\129\112\0\129\86\37\130\67\129\112\0\130\78\37\130\67\129\112\0",
	5700, "\72\37\130\68\129\127\0\72\37\130\68\129\112\0\129\86\37\130\68\129\112\0\130\78\37\130\68\129\112\0",
	5800, "\72\37\130\69\130\0\0\72\37\130\69\129\112\0\129\86\37\130\69\129\112\0\130\78\37\130\69\129\112\0",
	5900, "\72\37\130\70\130\1\0\72\37\130\70\129\112\0\129\86\37\130\70\129\112\0\130\78\37\130\70\129\112\0",
	6000, "\74\38\129\126\0\74\38\129\112\0\129\88\38\129\112\0\130\80\38\129\112\0",
	6100, "\74\42\130\62\129\113\0\74\42\130\62\129\112\0\129\88\42\130\62\129\112\0\130\80\42\130\62\129\112\0",
	6200, "\74\42\130\63\129\119\0\74\42\130\63\129\112\0\129\88\42\130\63\129\112\0\130\80\42\130\63\129\112\0",
	6300, "\74\42\130\64\129\121\0\74\42\130\64\129\112\0\129\88\42\130\64\129\112\0\130\80\42\130\64\129\112\0",
	6400, "\74\42\130\65\129\123\0\74\42\130\65\129\112\0\129\88\42\130\65\129\112\0\130\80\42\130\65\129\112\0",
	6500, "\74\42\130\66\129\124\0\74\42\130\66\129\112\0\129\88\42\130\66\129\112\0\130\80\42\130\66\129\112\0",
	6600, "\74\42\130\67\129\126\0\74\42\130\67\129\112\0\129\88\42\130\67\129\112\0\130\80\42\130\67\129\112\0",
	6700, "\74\42\130\68\129\127\0\74\42\130\68\129\112\0\129\88\42\130\68\129\112\0\130\80\42\130\68\129\112\0",
	6800, "\74\42\130\69\130\0\0\74\42\130\69\129\112\0\129\88\42\130\69\129\112\0\130\80\42\130\69\129\112\0",
	6900, "\74\42\130\70\130\1\0\74\42\130\70\129\112\0\129\88\42\130\70\129\112\0\130\80\42\130\70\129\112\0",
	7000, "\75\43\129\127\0\75\43\129\112\0\129\89\43\129\112\0\130\81\43\129\112\0",
	7100, "\75\46\130\62\129\113\0\75\46\130\62\129\112\0\129\89\46\130\62\129\112\0\130\81\46\130\62\129\112\0",
	7200, "\75\46\130\63\129\119\0\75\46\130\63\129\112\0\129\89\46\130\63\129\112\0\130\81\46\130\63\129\112\0",
	7300, "\75\46\130\64\129\121\0\75\46\130\64\129\112\0\129\89\46\130\64\129\112\0\130\81\46\130\64\129\112\0",
	7400, "\75\46\130\65\129\123\0\75\46\130\65\129\112\0\129\89\46\130\65\129\112\0\130\81\46\130\65\129\112\0",
	7500, "\75\46\130\66\129\124\0\75\46\130\66\129\112\0\129\89\46\130\66\129\112\0\130\81\46\130\66\129\112\0",
	7600, "\75\46\130\67\129\126\0\75\46\130\67\129\112\0\129\89\46\130\67\129\112\0\130\81\46\130\67\129\112\0",
	7700, "\75\46\130\68\129\127\0\75\46\130\68\129\112\0\129\89\46\130\68\129\112\0\130\81\46\130\68\129\112\0",
	7800, "\75\46\130\69\130\0\0\75\46\130\69\129\112\0\129\89\46\130\69\129\112\0\130\81\46\130\69\129\112\0",
	7900, "\75\46\130\70\130\1\0\75\46\130\70\129\112\0\129\89\46\130\70\129\112\0\130\81\46\130\70\129\112\0",
	8000, "\76\47\130\0\0\76\47\129\112\0\129\90\47\129\112\0\130\82\47\129\112\0",
	8100, "\76\58\130\62\129\113\0\76\58\130\62\129\112\0\129\90\58\130\62\129\112\0\130\82\58\130\62\129\112\0",
	8200, "\76\58\130\63\129\119\0\76\58\130\63\129\112\0\129\90\58\130\63\129\112\0\130\82\58\130\63\129\112\0",
	8300, "\76\58\130\64\129\121\0\76\58\130\64\129\112\0\129\90\58\130\64\129\112\0\130\82\58\130\64\129\112\0",
	8400, "\76\58\130\65\129\123\0\76\58\130\65\129\112\0\129\90\58\130\65\129\112\0\130\82\58\130\65\129\112\0",
	8500, "\76\58\130\66\129\124\0\76\58\130\66\129\112\0\129\90\58\130\66\129\112\0\130\82\58\130\66\129\112\0",
	8600, "\76\58\130\67\129\126\0\76\58\130\67\129\112\0\129\90\58\130\67\129\112\0\130\82\58\130\67\129\112\0",
	8700, "\76\58\130\68\129\127\0\76\58\130\68\129\112\0\129\90\58\130\68\129\112\0\130\82\58\130\68\129\112\0",
	8800, "\76\58\130\69\130\0\0\76\58\130\69\129\112\0\129\90\58\130\69\129\112\0\130\82\58\130\69\129\112\0",
	8900, "\76\58\130\70\130\1\0\76\58\130\70\129\112\0\129\90\58\130\70\129\112\0\130\82\58\130\70\129\112\0",
	9000, "\77\59\130\1\0\77\59\129\112\0\129\91\59\129\112\0\130\83\59\129\112\0",
	9100, "\77\62\130\62\129\113\0\77\62\130\62\129\112\0\129\91\62\130\62\129\112\0\130\83\62\130\62\129\112\0",
	9200, "\77\62\130\63\129\119\0\77\62\130\63\129\112\0\129\91\62\130\63\129\112\0\130\83\62\130\63\129\112\0",
	9300, "\77\62\130\64\129\121\0\77\62\130\64\129\112\0\129\91\62\130\64\129\112\0\130\83\62\130\64\129\112\0",
	9400, "\77\62\130\65\129\123\0\77\62\130\65\129\112\0\129\91\62\130\65\129\112\0\130\83\62\130\65\129\112\0",
	9500, "\77\62\130\66\129\124\0\77\62\130\66\129\112\0\129\91\62\130\66\129\112\0\130\83\62\130\66\129\112\0",
	9600, "\77\62\130\67\129\126\0\77\62\130\67\129\112\0\129\91\62\130\67\129\112\0\130\83\62\130\67\129\112\0",
	9700, "\77\62\130\68\129\127\0\77\62\130\68\129\112\0\129\91\62\130\68\129\112\0\130\83\62\130\68\129\112\0",
	9800, "\77\62\130\69\130\0\0\77\62\130\69\129\112\0\129\91\62\130\69\129\112\0\130\83\62\130\69\129\112\0",
	9900, "\77\62\130\70\130\1\0\77\62\130\70\129\112\0\129\91\62\130\70\129\112\0\130\83\62\130\70\129\112\0",
	10000, "\69\2\130\1\0\69\2\129\112\0\129\83\2\129\112\0\130\75\2\129\112\0",
	11000, "\67\5\129\113\0\67\5\129\112\0\129\81\5\129\112\0\130\73\5\129\112\0",
	12000, "\69\6\129\127\0\69\6\129\112\0\129\83\6\129\112\0\130\75\6\129\112\0",
	13000, "\70\7\129\118\0\70\7\129\114\0\129\84\7\129\114\0\130\76\7\129\114\0",
	14000, "\71\8\129\118\0\71\8\129\114\0\129\85\8\129\114\0\130\77\8\129\114\0",
	15000, "\72\9\129\118\0\72\9\129\114\0\129\86\9\129\114\0\130\78\9\129\114\0",
	16000, "\74\10\129\118\0\74\10\129\114\0\129\88\10\129\114\0\130\80\10\129\114\0",
	17000, "\75\11\129\118\0\75\11\129\114\0\129\89\11\129\114\0\130\81\11\129\114\0",
	18000, "\68\12\129\118\0\68\12\129\114\0\129\82\12\129\114\0\130\74\12\129\114\0",
	19000, "\77\13\129\118\0\77\13\129\114\0\129\91\13\129\114\0\130\83\13\129\114\0",
	20000, "\69\17\129\120\0\69\129\115\0\129\83\129\115\0\130\75\129\115\0",
	21000, "\63\14\129\50\0\63\14\129\49\0\129\79\14\129\49\0\130\71\14\129\49\0",
	22000, "\69\19\129\50\0\69\19\129\49\0\129\83\19\129\49\0\130\75\19\129\49\0",
	23000, "\70\24\129\50\0\70\24\129\49\0\129\84\24\129\49\0\130\76\24\129\49\0",
	24000, "\71\31\129\50\0\71\31\129\49\0\129\85\31\129\49\0\130\77\31\129\49\0",
	25000, "\72\36\129\50\0\72\36\129\49\0\129\86\36\129\49\0\130\78\36\129\49\0",
	26000, "\74\41\129\50\0\74\41\129\49\0\129\88\41\129\49\0\130\80\41\129\49\0",
	27000, "\75\45\129\50\0\75\45\129\49\0\129\89\45\129\49\0\130\81\45\129\49\0",
	28000, "\76\57\129\50\0\76\57\129\49\0\129\90\57\129\49\0\130\82\57\129\49\0",
	29000, "\77\61\129\50\0\77\61\129\49\0\129\91\61\129\49\0\130\83\61\129\49\0",
	30000, "\70\22\129\122\0\70\22\129\116\0\129\84\22\129\116\0\130\76\22\129\116\0",
	31000, "\63\14\129\54\0\63\14\129\53\0\129\79\14\129\53\0\130\71\14\129\53\0",
	32000, "\69\19\129\54\0\69\19\129\53\0\129\83\19\129\53\0\130\75\19\129\53\0",
	33000, "\70\24\129\54\0\70\24\129\53\0\129\84\24\129\53\0\130\76\24\129\53\0",
	34000, "\71\31\129\54\0\71\31\129\53\0\129\85\31\129\53\0\130\77\31\129\53\0",
	35000, "\72\36\129\54\0\72\36\129\53\0\129\86\36\129\53\0\130\78\36\129\53\0",
	36000, "\74\41\129\54\0\74\41\129\53\0\129\88\41\129\53\0\130\80\41\129\53\0",
	37000, "\75\45\129\54\0\75\45\129\53\0\129\89\45\129\53\0\130\81\45\129\53\0",
	38000, "\76\57\129\54\0\76\57\129\53\0\129\90\57\129\53\0\130\82\57\129\53\0",
	39000, "\77\61\129\54\0\77\61\129\53\0\129\91\61\129\53\0\130\83\61\129\53\0",
	40000, "\71\29\129\122\0\71\29\129\116\0\129\85\29\129\116\0\130\77\29\129\116\0",
	41000, "\63\14\129\58\0\63\14\129\57\0\129\79\14\129\57\0\130\71\14\129\57\0",
	42000, "\69\19\129\58\0\69\19\129\57\0\129\83\19\129\57\0\130\75\19\129\57\0",
	43000, "\70\24\129\58\0\70\24\129\57\0\129\84\24\129\57\0\130\76\24\129\57\0",
	44000, "\71\31\129\58\0\71\31\129\57\0\129\85\31\129\57\0\130\77\31\129\57\0",
	45000, "\72\36\129\58\0\72\36\129\57\0\129\86\36\129\57\0\130\78\36\129\57\0",
	46000, "\74\41\129\58\0\74\41\129\57\0\129\88\41\129\57\0\130\80\41\129\57\0",
	47000, "\75\45\129\58\0\75\45\129\57\0\129\89\45\129\57\0\130\81\45\129\57\0",
	48000, "\76\57\129\58\0\76\57\129\57\0\129\90\57\129\57\0\130\82\57\129\57\0",
	49000, "\77\61\129\58\0\77\61\129\57\0\129\91\61\129\57\0\130\83\61\129\57\0",
	50000, "\73\34\129\125\0\73\34\129\117\0\129\87\34\129\117\0\130\79\34\129\117\0",
	51000, "\63\14\129\62\0\63\14\129\61\0\129\79\14\129\61\0\130\71\14\129\61\0",
	52000, "\69\19\129\62\0\69\19\129\61\0\129\83\19\129\61\0\130\75\19\129\61\0",
	53000, "\70\24\129\62\0\70\24\129\61\0\129\84\24\129\61\0\130\76\24\129\61\0",
	54000, "\71\31\129\62\0\71\31\129\61\0\129\85\31\129\61\0\130\77\31\129\61\0",
	55000, "\72\36\129\62\0\72\36\129\61\0\129\86\36\129\61\0\130\78\36\129\61\0",
	56000, "\74\41\129\62\0\74\41\129\61\0\129\88\41\129\61\0\130\80\41\129\61\0",
	57000, "\75\45\129\62\0\75\45\129\61\0\129\89\45\129\61\0\130\81\45\129\61\0",
	58000, "\76\57\129\62\0\76\57\129\61\0\129\90\57\129\61\0\130\82\57\129\61\0",
	59000, "\77\61\129\62\0\77\61\129\61\0\129\91\61\129\61\0\130\83\61\129\61\0",
	60000, "\70\39\129\125\0\70\39\129\117\0\129\84\39\129\117\0\130\76\39\129\117\0",
	61000, "\63\14\129\66\0\63\14\129\65\0\129\79\14\129\65\0\130\71\14\129\65\0",
	62000, "\69\19\129\66\0\69\19\129\65\0\129\83\19\129\65\0\130\75\19\129\65\0",
	63000, "\70\24\129\66\0\70\24\129\65\0\129\84\24\129\65\0\130\76\24\129\65\0",
	64000, "\71\31\129\66\0\71\31\129\65\0\129\85\31\129\65\0\130\77\31\129\65\0",
	65000, "\72\36\129\66\0\72\36\129\65\0\129\86\36\129\65\0\130\78\36\129\65\0",
	66000, "\74\41\129\66\0\74\41\129\65\0\129\88\41\129\65\0\130\80\41\129\65\0",
	67000, "\75\45\129\66\0\75\45\129\65\0\129\89\45\129\65\0\130\81\45\129\65\0",
	68000, "\76\57\129\66\0\76\57\129\65\0\129\90\57\129\65\0\130\82\57\129\65\0",
	69000, "\77\61\129\66\0\77\61\129\65\0\129\91\61\129\65\0\130\83\61\129\65\0",
	70000, "\83\0\82\0\129\95\0\130\87\0",
	71000, "\63\14\129\68\0\63\14\129\67\0\129\79\14\129\67\0\130\71\14\129\67\0",
	72000, "\69\19\129\68\0\69\19\129\67\0\129\83\19\129\67\0\130\75\19\129\67\0",
	73000, "\70\24\129\68\0\70\24\129\67\0\129\84\24\129\67\0\130\76\24\129\67\0",
	74000, "\71\31\129\68\0\71\31\129\67\0\129\85\31\129\67\0\130\77\31\129\67\0",
	75000, "\72\36\129\68\0\72\36\129\67\0\129\86\36\129\67\0\130\78\36\129\67\0",
	76000, "\74\41\129\68\0\74\41\129\67\0\129\88\41\129\67\0\130\80\41\129\67\0",
	77000, "\75\45\129\68\0\75\45\129\67\0\129\89\45\129\67\0\130\81\45\129\67\0",
	78000, "\76\57\129\68\0\76\57\129\67\0\129\90\57\129\67\0\130\82\57\129\67\0",
	79000, "\77\61\129\68\0\77\61\129\67\0\129\91\61\129\67\0\130\83\61\129\67\0",
	80000, "\71\50\0\71\49\0\129\85\49\0\130\77\49\0",
	81000, "\63\14\129\72\0\63\14\129\71\0\129\79\14\129\71\0\130\71\14\129\71\0",
	82000, "\69\19\129\72\0\69\19\129\71\0\129\83\19\129\71\0\130\75\19\129\71\0",
	83000, "\70\24\129\72\0\70\24\129\71\0\129\84\24\129\71\0\130\76\24\129\71\0",
	84000, "\71\31\129\72\0\71\31\129\71\0\129\85\31\129\71\0\130\77\31\129\71\0",
	85000, "\72\36\129\72\0\72\36\129\71\0\129\86\36\129\71\0\130\78\36\129\71\0",
	86000, "\74\41\129\72\0\74\41\129\71\0\129\88\41\129\71\0\130\80\41\129\71\0",
	87000, "\75\45\129\72\0\75\45\129\71\0\129\89\45\129\71\0\130\81\45\129\71\0",
	88000, "\76\57\129\72\0\76\57\129\71\0\129\90\57\129\71\0\130\82\57\129\71\0",
	89000, "\77\61\129\72\0\77\61\129\71\0\129\91\61\129\71\0\130\83\61\129\71\0",
	90000, "\91\0\90\0\129\99\0\130\91\0",
	91000, "\63\14\129\76\0\63\14\129\75\0\129\79\14\129\75\0\130\71\14\129\75\0",
	92000, "\69\19\129\76\0\69\19\129\75\0\129\83\19\129\75\0\130\75\19\129\75\0",
	93000, "\70\24\129\76\0\70\24\129\75\0\129\84\24\129\75\0\130\76\24\129\75\0",
	94000, "\71\31\129\76\0\71\31\129\75\0\129\85\31\129\75\0\130\77\31\129\75\0",
	95000, "\72\36\129\76\0\72\36\129\75\0\129\86\36\129\75\0\130\78\36\129\75\0",
	96000, "\74\41\129\76\0\74\41\129\75\0\129\88\41\129\75\0\130\80\41\129\75\0",
	97000, "\75\45\129\76\0\75\45\129\75\0\129\89\45\129\75\0\130\81\45\129\75\0",
	98000, "\76\57\129\76\0\76\57\129\75\0\129\90\57\129\75\0\130\82\57\129\75\0",
	99000, "\77\61\129\76\0\77\61\129\75\0\129\91\61\129\75\0\130\83\61\129\75\0",
	100000, "\64\129\111\0\64\129\110\0\129\80\129\110\0\130\72\129\110\0",
	110000, "\64\104\0\64\103\0\129\80\103\0\130\72\103\0",
	120000, "\64\112\0\64\111\0\129\80\111\0\130\72\111\0",
	130000, "\64\120\0\64\119\0\129\80\119\0\130\72\119\0",
	140000, "\64\129\0\0\64\127\0\129\80\127\0\130\72\127\0",
	150000, "\65\129\10\0\64\129\9\0\129\80\129\9\0\130\72\129\9\0",
	160000, "\66\129\18\0\64\129\17\0\129\80\129\17\0\130\72\129\17\0",
	170000, "\65\129\26\0\64\129\25\0\129\80\129\25\0\130\72\129\25\0",
	180000, "\65\129\34\0\64\129\33\0\129\80\129\33\0\130\72\129\33\0",
	190000, "\65\129\42\0\64\129\41\0\129\80\129\41\0\130\72\129\41\0",
	200000, "\69\18\129\111\0\69\18\129\110\0\129\83\18\129\110\0\130\75\18\129\110\0",
	210000, "\69\18\104\0\69\18\103\0\129\83\18\103\0\130\75\18\103\0",
	220000, "\69\18\112\0\69\18\111\0\129\83\18\111\0\130\75\18\111\0",
	230000, "\69\18\120\0\69\18\119\0\129\83\18\119\0\130\75\18\119\0",
	240000, "\69\18\129\0\0\69\18\127\0\129\83\18\127\0\130\75\18\127\0",
	250000, "\69\18\129\10\0\69\18\129\9\0\129\83\18\129\9\0\130\75\18\129\9\0",
	260000, "\69\18\129\18\0\69\18\129\17\0\129\83\18\129\17\0\130\75\18\129\17\0",
	270000, "\69\18\129\26\0\69\18\129\25\0\129\83\18\129\25\0\130\75\18\129\25\0",
	280000, "\69\18\129\34\0\69\18\129\33\0\129\83\18\129\33\0\130\75\18\129\33\0",
	290000, "\69\18\129\42\0\69\18\129\41\0\129\83\18\129\41\0\130\75\18\129\41\0",
	300000, "\70\23\129\111\0\70\23\129\110\0\129\84\23\129\110\0\130\76\23\129\110\0",
	310000, "\70\23\104\0\70\23\103\0\129\84\23\103\0\130\76\23\103\0",
	320000, "\70\23\112\0\70\23\111\0\129\84\23\111\0\130\76\23\111\0",
	330000, "\70\23\120\0\70\23\119\0\129\84\23\119\0\130\76\23\119\0",
	340000, "\70\23\129\0\0\70\23\127\0\129\84\23\127\0\130\76\23\127\0",
	350000, "\70\23\129\10\0\70\23\129\9\0\129\84\23\129\9\0\130\76\23\129\9\0",
	360000, "\70\23\129\18\0\70\23\129\17\0\129\84\23\129\17\0\130\76\23\129\17\0",
	370000, "\70\23\129\26\0\70\23\129\25\0\129\84\23\129\25\0\130\76\23\129\25\0",
	380000, "\70\23\129\34\0\70\23\129\33\0\129\84\23\129\33\0\130\76\23\129\33\0",
	390000, "\70\23\129\42\0\70\23\129\41\0\129\84\23\129\41\0\130\76\23\129\41\0",
	400000, "\71\30\129\111\0\71\30\129\110\0\129\85\30\129\110\0\130\77\30\129\110\0",
	410000, "\71\30\104\0\71\30\103\0\129\85\30\103\0\130\77\30\103\0",
	420000, "\71\30\112\0\71\30\111\0\129\85\30\111\0\130\77\30\111\0",
	430000, "\71\30\120\0\71\30\119\0\129\85\30\119\0\130\77\30\119\0",
	440000, "\71\30\129\0\0\71\30\127\0\129\85\30\127\0\130\77\30\127\0",
	450000, "\71\30\129\10\0\71\30\129\9\0\129\85\30\129\9\0\130\77\30\129\9\0",
	460000, "\71\30\129\18\0\71\30\129\17\0\129\85\30\129\17\0\130\77\30\129\17\0",
	470000, "\71\30\129\26\0\71\30\129\25\0\129\85\30\129\25\0\130\77\30\129\25\0",
	480000, "\71\30\129\34\0\71\30\129\33\0\129\85\30\129\33\0\130\77\30\129\33\0",
	490000, "\71\30\129\42\0\71\30\129\41\0\129\85\30\129\41\0\130\77\30\129\41\0",
	500000, "\72\35\129\111\0\72\35\129\110\0\129\86\35\129\110\0\130\78\35\129\110\0",
	510000, "\102\35\129\111\0\102\35\129\110\0\129\105\35\129\110\0\130\78\35\129\110\0",
}

distances.feet = {
	15, "\73\129\109\0\73\129\108\0\129\87\129\108\0\130\79\129\108\0",
	30, "\64\129\107\0\64\129\106\0\129\80\129\106\0\130\72\129\106\0",
	46, "\65\129\8\0\65\129\7\0\129\80\129\7\0\130\72\129\7\0",
	61, "\69\18\129\107\0\69\18\129\106\0\129\83\18\129\106\0\130\75\18\129\106\0",
	91, "\70\23\129\107\0\70\23\129\106\0\129\84\23\129\106\0\130\76\23\129\106\0",
	122, "\71\30\129\107\0\71\30\129\106\0\129\85\30\129\106\0\130\77\30\129\106\0",
	152, "\72\35\129\107\0\72\35\129\106\0\129\86\35\129\106\0\130\78\35\129\106\0",
	183, "\74\40\129\107\0\74\40\129\106\0\129\88\40\129\106\0\130\80\40\129\106\0",
	213, "\75\44\129\107\0\75\44\129\106\0\129\89\44\129\106\0\130\81\44\129\106\0",
	244, "\76\48\129\107\0\76\48\129\106\0\129\90\48\129\106\0\130\82\48\129\106\0",
	274, "\77\60\129\107\0\77\60\129\106\0\129\91\60\129\106\0\130\83\60\129\106\0",
	305, "\63\4\0\63\3\0\129\79\3\0\130\71\3\0",
	402, "\99\0\98\0\129\103\0\130\95\0",
	644, "\79\130\56\0\79\130\32\0\129\93\130\32\0\130\85\130\32\0",
	805, "\101\0\100\0\129\104\0\130\96\0",
	966, "\79\130\58\0\79\130\34\0\129\93\130\34\0\130\85\130\34\0",
	1127, "\78\27\0\78\26\0\129\92\26\0\130\84\26\0",
	1448, "\79\130\61\0\79\130\37\0\129\93\130\37\0\130\85\130\37\0",
	1609, "\81\0\80\0\129\94\0\130\86\0",
	1770, "\63\15\130\53\0\63\15\130\29\0\129\79\15\130\29\0\130\71\15\130\29\0",
	1931, "\63\15\130\54\0\63\15\130\30\0\129\79\15\130\30\0\130\71\15\130\30\0",
	2092, "\63\15\130\55\0\63\15\130\31\0\129\79\15\130\31\0\130\71\15\130\31\0",
	2253, "\63\15\130\56\0\63\15\130\32\0\129\79\15\130\32\0\130\71\15\130\32\0",
	2414, "\63\15\130\57\0\63\15\130\33\0\129\79\15\130\33\0\130\71\15\130\33\0",
	2575, "\63\15\130\58\0\63\15\130\34\0\129\79\15\130\34\0\130\71\15\130\34\0",
	2736, "\63\15\130\59\0\63\15\130\35\0\129\79\15\130\35\0\130\71\15\130\35\0",
	2897, "\63\15\130\60\0\63\15\130\36\0\129\79\15\130\36\0\130\71\15\130\36\0",
	3058, "\63\15\130\61\0\63\15\130\37\0\129\79\15\130\37\0\130\71\15\130\37\0",
	3219, "\69\130\42\0\69\130\18\0\129\83\130\18\0\130\75\130\18\0",
	3380, "\69\20\130\53\0\69\20\130\29\0\129\83\20\130\29\0\130\75\20\130\29\0",
	3541, "\69\20\130\54\0\69\20\130\30\0\129\83\20\130\30\0\130\75\20\130\30\0",
	3701, "\69\20\130\55\0\69\20\130\31\0\129\83\20\130\31\0\130\75\20\130\31\0",
	3862, "\69\20\130\56\0\69\20\130\32\0\129\83\20\130\32\0\130\75\20\130\32\0",
	4023, "\69\20\130\57\0\69\20\130\33\0\129\83\20\130\33\0\130\75\20\130\33\0",
	4184, "\69\20\130\58\0\69\20\130\34\0\129\83\20\130\34\0\130\75\20\130\34\0",
	4345, "\69\20\130\59\0\69\20\130\35\0\129\83\20\130\35\0\130\75\20\130\35\0",
	4506, "\69\20\130\60\0\69\20\130\36\0\129\83\20\130\36\0\130\75\20\130\36\0",
	4667, "\69\20\130\61\0\69\20\130\37\0\129\83\20\130\37\0\130\75\20\130\37\0",
	4828, "\70\130\44\0\70\130\20\0\129\84\130\20\0\130\76\130\20\0",
	4989, "\70\25\130\53\0\70\25\130\29\0\129\84\25\130\29\0\130\76\25\130\29\0",
	5150, "\70\25\130\54\0\70\25\130\30\0\129\84\25\130\30\0\130\76\25\130\30\0",
	5311, "\70\25\130\55\0\70\25\130\31\0\129\84\25\130\31\0\130\76\25\130\31\0",
	5472, "\70\25\130\56\0\70\25\130\32\0\129\84\25\130\32\0\130\76\25\130\32\0",
	5633, "\70\25\130\57\0\70\25\130\33\0\129\84\25\130\33\0\130\76\25\130\33\0",
	5794, "\70\25\130\58\0\70\25\130\34\0\129\84\25\130\34\0\130\76\25\130\34\0",
	5955, "\70\25\130\59\0\70\25\130\35\0\129\84\25\130\35\0\130\76\25\130\35\0",
	6116, "\70\25\130\60\0\70\25\130\36\0\129\84\25\130\36\0\130\76\25\130\36\0",
	6276, "\70\25\130\61\0\70\25\130\37\0\129\84\25\130\37\0\130\76\25\130\37\0",
	6437, "\71\130\46\0\71\130\22\0\129\85\130\22\0\130\77\130\22\0",
	6598, "\71\32\130\53\0\71\32\130\29\0\129\85\32\130\29\0\130\77\32\130\29\0",
	6759, "\71\32\130\54\0\71\32\130\30\0\129\85\32\130\30\0\130\77\32\130\30\0",
	6920, "\71\32\130\55\0\71\32\130\31\0\129\85\32\130\31\0\130\77\32\130\31\0",
	7081, "\71\32\130\56\0\71\32\130\32\0\129\85\32\130\32\0\130\77\32\130\32\0",
	7242, "\71\32\130\57\0\71\32\130\33\0\129\85\32\130\33\0\130\77\32\130\33\0",
	7403, "\71\32\130\58\0\71\32\130\34\0\129\85\32\130\34\0\130\77\32\130\34\0",
	7564, "\71\32\130\59\0\71\32\130\35\0\129\85\32\130\35\0\130\77\32\130\35\0",
	7725, "\71\32\130\60\0\71\32\130\36\0\129\85\32\130\36\0\130\77\32\130\36\0",
	7886, "\71\32\130\61\0\71\32\130\37\0\129\85\32\130\37\0\130\77\32\130\37\0",
	8047, "\72\130\47\0\72\130\23\0\129\86\130\23\0\130\78\130\23\0",
	8208, "\72\37\130\53\0\72\37\130\29\0\129\86\37\130\29\0\130\78\37\130\29\0",
	8369, "\72\37\130\54\0\72\37\130\30\0\129\86\37\130\30\0\130\78\37\130\30\0",
	8530, "\72\37\130\55\0\72\37\130\31\0\129\86\37\130\31\0\130\78\37\130\31\0",
	8690, "\72\37\130\56\0\72\37\130\32\0\129\86\37\130\32\0\130\78\37\130\32\0",
	8851, "\72\37\130\57\0\72\37\130\33\0\129\86\37\130\33\0\130\78\37\130\33\0",
	9012, "\72\37\130\58\0\72\37\130\34\0\129\86\37\130\34\0\130\78\37\130\34\0",
	9173, "\72\37\130\59\0\72\37\130\35\0\129\86\37\130\35\0\130\78\37\130\35\0",
	9334, "\72\37\130\60\0\72\37\130\36\0\129\86\37\130\36\0\130\78\37\130\36\0",
	9495, "\72\37\130\61\0\72\37\130\37\0\129\86\37\130\37\0\130\78\37\130\37\0",
	9656, "\74\130\49\0\74\130\25\0\129\88\130\25\0\130\80\130\25\0",
	9817, "\74\42\130\53\0\74\42\130\29\0\129\88\42\130\29\0\130\80\42\130\29\0",
	9978, "\74\42\130\54\0\74\42\130\30\0\129\88\42\130\30\0\130\80\42\130\30\0",
	10139, "\74\42\130\55\0\74\42\130\31\0\129\88\42\130\31\0\130\80\42\130\31\0",
	10300, "\74\42\130\56\0\74\42\130\32\0\129\88\42\130\32\0\130\80\42\130\32\0",
	10461, "\74\42\130\57\0\74\42\130\33\0\129\88\42\130\33\0\130\80\42\130\33\0",
	10622, "\74\42\130\58\0\74\42\130\34\0\129\88\42\130\34\0\130\80\42\130\34\0",
	10783, "\74\42\130\59\0\74\42\130\35\0\129\88\42\130\35\0\130\80\42\130\35\0",
	10944, "\74\42\130\60\0\74\42\130\36\0\129\88\42\130\36\0\130\80\42\130\36\0",
	11104, "\74\42\130\61\0\74\42\130\37\0\129\88\42\130\37\0\130\80\42\130\37\0",
	11265, "\75\130\50\0\75\130\26\0\129\89\130\26\0\130\81\130\26\0",
	11426, "\75\46\130\53\0\75\46\130\29\0\129\89\46\130\29\0\130\81\46\130\29\0",
	11587, "\75\46\130\54\0\75\46\130\30\0\129\89\46\130\30\0\130\81\46\130\30\0",
	11748, "\75\46\130\55\0\75\46\130\31\0\129\89\46\130\31\0\130\81\46\130\31\0",
	11909, "\75\46\130\56\0\75\46\130\32\0\129\89\46\130\32\0\130\81\46\130\32\0",
	12070, "\75\46\130\57\0\75\46\130\33\0\129\89\46\130\33\0\130\81\46\130\33\0",
	12231, "\75\46\130\58\0\75\46\130\34\0\129\89\46\130\34\0\130\81\46\130\34\0",
	12392, "\75\46\130\59\0\75\46\130\35\0\129\89\46\130\35\0\130\81\46\130\35\0",
	12553, "\75\46\130\60\0\75\46\130\36\0\129\89\46\130\36\0\130\81\46\130\36\0",
	12714, "\75\46\130\61\0\75\46\130\37\0\129\89\46\130\37\0\130\81\46\130\37\0",
	12875, "\76\130\51\0\76\130\27\0\129\90\130\27\0\130\82\130\27\0",
	13036, "\76\58\130\53\0\76\58\130\29\0\129\90\58\130\29\0\130\82\58\130\29\0",
	13197, "\76\58\130\54\0\76\58\130\30\0\129\90\58\130\30\0\130\82\58\130\30\0",
	13358, "\76\58\130\55\0\76\58\130\31\0\129\90\58\130\31\0\130\82\58\130\31\0",
	13518, "\76\58\130\56\0\76\58\130\32\0\129\90\58\130\32\0\130\82\58\130\32\0",
	13679, "\76\58\130\57\0\76\58\130\33\0\129\90\58\130\33\0\130\82\58\130\33\0",
	13840, "\76\58\130\58\0\76\58\130\34\0\129\90\58\130\34\0\130\82\58\130\34\0",
	14001, "\76\58\130\59\0\76\58\130\35\0\129\90\58\130\35\0\130\82\58\130\35\0",
	14162, "\76\58\130\60\0\76\58\130\36\0\129\90\58\130\36\0\130\82\58\130\36\0",
	14323, "\76\58\130\61\0\76\58\130\37\0\129\90\58\130\37\0\130\82\58\130\37\0",
	14484, "\77\130\52\0\77\130\28\0\129\91\130\28\0\130\83\130\28\0",
	14645, "\77\62\130\53\0\77\62\130\29\0\129\91\62\130\29\0\130\83\62\130\29\0",
	14806, "\77\62\130\54\0\77\62\130\30\0\129\91\62\130\30\0\130\83\62\130\30\0",
	14967, "\77\62\130\55\0\77\62\130\31\0\129\91\62\130\31\0\130\83\62\130\31\0",
	15128, "\77\62\130\56\0\77\62\130\32\0\129\91\62\130\32\0\130\83\62\130\32\0",
	15289, "\77\62\130\57\0\77\62\130\33\0\129\91\62\130\33\0\130\83\62\130\33\0",
	15450, "\77\62\130\58\0\77\62\130\34\0\129\91\62\130\34\0\130\83\62\130\34\0",
	15611, "\77\62\130\59\0\77\62\130\35\0\129\91\62\130\35\0\130\83\62\130\35\0",
	15772, "\77\62\130\60\0\77\62\130\36\0\129\91\62\130\36\0\130\83\62\130\36\0",
	15933, "\77\62\130\61\0\77\62\130\37\0\129\91\62\130\37\0\130\83\62\130\37\0",
	16093, "\69\130\38\0\69\130\14\0\129\83\130\14\0\130\75\130\14\0",
	17703, "\67\130\39\0\67\130\15\0\129\81\130\15\0\130\73\130\15\0",
	19312, "\69\130\40\0\69\130\16\0\129\83\130\16\0\130\75\130\16\0",
	20921, "\70\7\130\41\0\70\7\130\17\0\129\84\7\130\17\0\130\76\7\130\17\0",
	22531, "\71\8\130\41\0\71\8\130\17\0\129\85\8\130\17\0\130\77\8\130\17\0",
	24140, "\72\9\130\41\0\72\9\130\17\0\129\86\9\130\17\0\130\78\9\130\17\0",
	25750, "\74\10\130\41\0\74\10\130\17\0\129\88\10\130\17\0\130\80\10\130\17\0",
	27359, "\75\11\130\41\0\75\11\130\17\0\129\89\11\130\17\0\130\81\11\130\17\0",
	28968, "\68\12\130\41\0\68\12\130\17\0\129\82\12\130\17\0\130\74\12\130\17\0",
	30578, "\77\13\130\41\0\77\13\130\17\0\129\91\13\130\17\0\130\83\13\130\17\0",
	32187, "\69\17\130\43\0\69\130\19\0\129\83\130\19\0\130\75\130\19\0",
	33796, "\63\14\129\52\0\63\14\129\51\0\129\79\14\129\51\0\130\71\14\129\51\0",
	35406, "\69\19\129\52\0\69\19\129\51\0\129\83\19\129\51\0\130\75\19\129\51\0",
	37015, "\70\24\129\52\0\70\24\129\51\0\129\84\24\129\51\0\130\76\24\129\51\0",
	38624, "\71\31\129\52\0\71\31\129\51\0\129\85\31\129\51\0\130\77\31\129\51\0",
	40234, "\72\36\129\52\0\72\36\129\51\0\129\86\36\129\51\0\130\78\36\129\51\0",
	41843, "\74\41\129\52\0\74\41\129\51\0\129\88\41\129\51\0\130\80\41\129\51\0",
	43452, "\75\45\129\52\0\75\45\129\51\0\129\89\45\129\51\0\130\81\45\129\51\0",
	45062, "\76\57\129\52\0\76\57\129\51\0\129\90\57\129\51\0\130\82\57\129\51\0",
	46671, "\77\61\129\52\0\77\61\129\51\0\129\91\61\129\51\0\130\83\61\129\51\0",
	48280, "\70\22\130\45\0\70\22\130\21\0\129\84\22\130\21\0\130\76\22\130\21\0",
	49890, "\63\14\129\56\0\63\14\129\55\0\129\79\14\129\55\0\130\71\14\129\55\0",
	51499, "\69\19\129\56\0\69\19\129\55\0\129\83\19\129\55\0\130\75\19\129\55\0",
	53108, "\70\24\129\56\0\70\24\129\55\0\129\84\24\129\55\0\130\76\24\129\55\0",
	54718, "\71\31\129\56\0\71\31\129\55\0\129\85\31\129\55\0\130\77\31\129\55\0",
	56327, "\72\36\129\56\0\72\36\129\55\0\129\86\36\129\55\0\130\78\36\129\55\0",
	57936, "\74\41\129\56\0\74\41\129\55\0\129\88\41\129\55\0\130\80\41\129\55\0",
	59546, "\75\45\129\56\0\75\45\129\55\0\129\89\45\129\55\0\130\81\45\129\55\0",
	61155, "\76\57\129\56\0\76\57\129\55\0\129\90\57\129\55\0\130\82\57\129\55\0",
	62764, "\77\61\129\56\0\77\61\129\55\0\129\91\61\129\55\0\130\83\61\129\55\0",
	64374, "\71\29\130\45\0\71\29\130\21\0\129\85\29\130\21\0\130\77\29\130\21\0",
	65983, "\63\14\129\60\0\63\14\129\59\0\129\79\14\129\59\0\130\71\14\129\59\0",
	67592, "\69\19\129\60\0\69\19\129\59\0\129\83\19\129\59\0\130\75\19\129\59\0",
	69202, "\70\24\129\60\0\70\24\129\59\0\129\84\24\129\59\0\130\76\24\129\59\0",
	70811, "\71\31\129\60\0\71\31\129\59\0\129\85\31\129\59\0\130\77\31\129\59\0",
	72420, "\72\36\129\60\0\72\36\129\59\0\129\86\36\129\59\0\130\78\36\129\59\0",
	74030, "\74\41\129\60\0\74\41\129\59\0\129\88\41\129\59\0\130\80\41\129\59\0",
	75639, "\75\45\129\60\0\75\45\129\59\0\129\89\45\129\59\0\130\81\45\129\59\0",
	77249, "\76\57\129\60\0\76\57\129\59\0\129\90\57\129\59\0\130\82\57\129\59\0",
	78858, "\77\61\129\60\0\77\61\129\59\0\129\91\61\129\59\0\130\83\61\129\59\0",
	80467, "\73\34\130\48\0\73\34\130\24\0\129\87\34\130\24\0\130\79\34\130\24\0",
	82077, "\63\14\129\64\0\63\14\129\63\0\129\79\14\129\63\0\130\71\14\129\63\0",
	83686, "\69\19\129\64\0\69\19\129\63\0\129\83\19\129\63\0\130\75\19\129\63\0",
	85295, "\70\24\129\64\0\70\24\129\63\0\129\84\24\129\63\0\130\76\24\129\63\0",
	86905, "\71\31\129\64\0\71\31\129\63\0\129\85\31\129\63\0\130\77\31\129\63\0",
	88514, "\72\36\129\64\0\72\36\129\63\0\129\86\36\129\63\0\130\78\36\129\63\0",
	90123, "\74\41\129\64\0\74\41\129\63\0\129\88\41\129\63\0\130\80\41\129\63\0",
	91733, "\75\45\129\64\0\75\45\129\63\0\129\89\45\129\63\0\130\81\45\129\63\0",
	93342, "\76\57\129\64\0\76\57\129\63\0\129\90\57\129\63\0\130\82\57\129\63\0",
	94951, "\77\61\129\64\0\77\61\129\63\0\129\91\61\129\63\0\130\83\61\129\63\0",
	96561, "\70\39\130\48\0\70\39\130\24\0\129\84\39\130\24\0\130\76\39\130\24\0",
	98170, "\63\14\129\66\0\63\14\129\65\0\129\79\14\129\65\0\130\71\14\129\65\0",
	99779, "\69\19\129\66\0\69\19\129\65\0\129\83\19\129\65\0\130\75\19\129\65\0",
	101389, "\70\24\129\66\0\70\24\129\65\0\129\84\24\129\65\0\130\76\24\129\65\0",
	102998, "\71\31\129\66\0\71\31\129\65\0\129\85\31\129\65\0\130\77\31\129\65\0",
	104607, "\72\36\129\66\0\72\36\129\65\0\129\86\36\129\65\0\130\78\36\129\65\0",
	106217, "\74\41\129\66\0\74\41\129\65\0\129\88\41\129\65\0\130\80\41\129\65\0",
	107826, "\75\45\129\66\0\75\45\129\65\0\129\89\45\129\65\0\130\81\45\129\65\0",
	109435, "\76\57\129\66\0\76\57\129\65\0\129\90\57\129\65\0\130\82\57\129\65\0",
	111045, "\77\61\129\66\0\77\61\129\65\0\129\91\61\129\65\0\130\83\61\129\65\0",
	112654, "\87\0\86\0\129\97\0\130\89\0",
	114263, "\63\14\129\70\0\63\14\129\69\0\129\79\14\129\69\0\130\71\14\129\69\0",
	115873, "\69\19\129\70\0\69\19\129\69\0\129\83\19\129\69\0\130\75\19\129\69\0",
	117482, "\70\24\129\70\0\70\24\129\69\0\129\84\24\129\69\0\130\76\24\129\69\0",
	119091, "\71\31\129\70\0\71\31\129\69\0\129\85\31\129\69\0\130\77\31\129\69\0",
	120701, "\72\36\129\70\0\72\36\129\69\0\129\86\36\129\69\0\130\78\36\129\69\0",
	122310, "\74\41\129\70\0\74\41\129\69\0\129\88\41\129\69\0\130\80\41\129\69\0",
	123919, "\75\45\129\70\0\75\45\129\69\0\129\89\45\129\69\0\130\81\45\129\69\0",
	125529, "\76\57\129\70\0\76\57\129\69\0\129\90\57\129\69\0\130\82\57\129\69\0",
	127138, "\77\61\129\70\0\77\61\129\69\0\129\91\61\129\69\0\130\83\61\129\69\0",
	128748, "\71\54\0\71\53\0\129\85\53\0\130\77\53\0",
	130357, "\63\14\129\74\0\63\14\129\73\0\129\79\14\129\73\0\130\71\14\129\73\0",
	131966, "\69\19\129\74\0\69\19\129\73\0\129\83\19\129\73\0\130\75\19\129\73\0",
	133576, "\70\24\129\74\0\70\24\129\73\0\129\84\24\129\73\0\130\76\24\129\73\0",
	135185, "\71\31\129\74\0\71\31\129\73\0\129\85\31\129\73\0\130\77\31\129\73\0",
	136794, "\72\36\129\74\0\72\36\129\73\0\129\86\36\129\73\0\130\78\36\129\73\0",
	138404, "\74\41\129\74\0\74\41\129\73\0\129\88\41\129\73\0\130\80\41\129\73\0",
	140013, "\75\45\129\74\0\75\45\129\73\0\129\89\45\129\73\0\130\81\45\129\73\0",
	141622, "\76\57\129\74\0\76\57\129\73\0\129\90\57\129\73\0\130\82\57\129\73\0",
	143232, "\77\61\129\74\0\77\61\129\73\0\129\91\61\129\73\0\130\83\61\129\73\0",
	144841, "\95\0\94\0\129\101\0\130\93\0",
	146450, "\63\14\129\78\0\63\14\129\77\0\129\79\14\129\77\0\130\71\14\129\77\0",
	148060, "\69\19\129\78\0\69\19\129\77\0\129\83\19\129\77\0\130\75\19\129\77\0",
	149669, "\70\24\129\78\0\70\24\129\77\0\129\84\24\129\77\0\130\76\24\129\77\0",
	151278, "\71\31\129\78\0\71\31\129\77\0\129\85\31\129\77\0\130\77\31\129\77\0",
	152888, "\72\36\129\78\0\72\36\129\77\0\129\86\36\129\77\0\130\78\36\129\77\0",
	154497, "\74\41\129\78\0\74\41\129\77\0\129\88\41\129\77\0\130\80\41\129\77\0",
	156106, "\75\45\129\78\0\75\45\129\77\0\129\89\45\129\77\0\130\81\45\129\77\0",
	157716, "\76\57\129\78\0\76\57\129\77\0\129\90\57\129\77\0\130\82\57\129\77\0",
	159325, "\77\61\129\78\0\77\61\129\77\0\129\91\61\129\77\0\130\83\61\129\77\0",
	160934, "\64\130\13\0\64\130\12\0\129\80\130\12\0\130\72\130\12\0",
	177028, "\64\108\0\64\107\0\129\80\107\0\130\72\107\0",
	193121, "\64\116\0\64\115\0\129\80\115\0\130\72\115\0",
	209215, "\64\124\0\64\123\0\129\80\123\0\130\72\123\0",
	225308, "\64\129\4\0\64\129\3\0\129\80\129\3\0\130\72\129\3\0",
	241402, "\65\129\14\0\64\129\13\0\129\80\129\13\0\130\72\129\13\0",
	257495, "\66\129\22\0\64\129\21\0\129\80\129\21\0\130\72\129\21\0",
	273588, "\65\129\30\0\64\129\29\0\129\80\129\29\0\130\72\129\29\0",
	289682, "\65\129\38\0\64\129\37\0\129\80\129\37\0\130\72\129\37\0",
	305775, "\64\129\46\0\64\129\45\0\129\80\129\45\0\130\72\129\45\0",
	321869, "\69\18\130\13\0\69\18\130\12\0\129\83\18\130\12\0\130\75\18\130\12\0",
	337962, "\69\18\108\0\69\18\107\0\129\83\18\107\0\130\75\18\107\0",
	354056, "\69\18\116\0\69\18\115\0\129\83\18\115\0\130\75\18\115\0",
	370149, "\69\18\124\0\69\18\123\0\129\83\18\123\0\130\75\18\123\0",
	386243, "\69\18\129\4\0\69\18\129\3\0\129\83\18\129\3\0\130\75\18\129\3\0",
	402336, "\69\18\129\14\0\69\18\129\13\0\129\83\18\129\13\0\130\75\18\129\13\0",
	418429, "\69\18\129\22\0\69\18\129\21\0\129\83\18\129\21\0\130\75\18\129\21\0",
	434523, "\69\18\129\30\0\69\18\129\29\0\129\83\18\129\29\0\130\75\18\129\29\0",
	450616, "\69\18\129\38\0\69\18\129\37\0\129\83\18\129\37\0\130\75\18\129\37\0",
	466710, "\69\18\129\46\0\69\18\129\45\0\129\83\18\129\45\0\130\75\18\129\45\0",
	482803, "\70\23\130\13\0\70\23\130\12\0\129\84\23\130\12\0\130\76\23\130\12\0",
	498897, "\70\23\108\0\70\23\107\0\129\84\23\107\0\130\76\23\107\0",
	514990, "\70\23\116\0\70\23\115\0\129\84\23\115\0\130\76\23\115\0",
	531084, "\70\23\124\0\70\23\123\0\129\84\23\123\0\130\76\23\123\0",
	547177, "\70\23\129\4\0\70\23\129\3\0\129\84\23\129\3\0\130\76\23\129\3\0",
	563270, "\70\23\129\14\0\70\23\129\13\0\129\84\23\129\13\0\130\76\23\129\13\0",
	579364, "\70\23\129\22\0\70\23\129\21\0\129\84\23\129\21\0\130\76\23\129\21\0",
	595457, "\70\23\129\30\0\70\23\129\29\0\129\84\23\129\29\0\130\76\23\129\29\0",
	611551, "\70\23\129\38\0\70\23\129\37\0\129\84\23\129\37\0\130\76\23\129\37\0",
	627644, "\70\23\129\46\0\70\23\129\45\0\129\84\23\129\45\0\130\76\23\129\45\0",
	643738, "\71\30\130\13\0\71\30\130\12\0\129\85\30\130\12\0\130\77\30\130\12\0",
	659831, "\71\30\108\0\71\30\107\0\129\85\30\107\0\130\77\30\107\0",
	675924, "\71\30\116\0\71\30\115\0\129\85\30\115\0\130\77\30\115\0",
	692018, "\71\30\124\0\71\30\123\0\129\85\30\123\0\130\77\30\123\0",
	708111, "\71\30\129\4\0\71\30\129\3\0\129\85\30\129\3\0\130\77\30\129\3\0",
	724205, "\71\30\129\14\0\71\30\129\13\0\129\85\30\129\13\0\130\77\30\129\13\0",
	740298, "\71\30\129\22\0\71\30\129\21\0\129\85\30\129\21\0\130\77\30\129\21\0",
	756392, "\71\30\129\30\0\71\30\129\29\0\129\85\30\129\29\0\130\77\30\129\29\0",
	772485, "\71\30\129\38\0\71\30\129\37\0\129\85\30\129\37\0\130\77\30\129\37\0",
	788579, "\71\30\129\46\0\71\30\129\45\0\129\85\30\129\45\0\130\77\30\129\45\0",
	804672, "\72\35\130\13\0\72\35\130\12\0\129\86\35\130\12\0\130\78\35\130\12\0",
	820765, "\102\35\130\13\0\102\35\130\12\0\129\105\35\130\12\0\130\78\35\130\12\0",
}

distances.yards = {
	9, "\69\130\103\0\69\130\99\0\129\83\130\99\0\130\75\130\99\0",
	18, "\69\17\130\104\0\69\130\100\0\129\83\130\100\0\130\75\130\100\0",
	27, "\70\22\130\105\0\70\22\130\101\0\129\84\22\130\101\0\130\76\22\130\101\0",
	37, "\71\29\130\105\0\71\29\130\101\0\129\85\29\130\101\0\130\77\29\130\101\0",
	46, "\73\34\130\106\0\73\34\130\102\0\129\87\34\130\102\0\130\79\34\130\102\0",
	55, "\70\39\130\106\0\70\39\130\102\0\129\84\39\130\102\0\130\76\39\130\102\0",
	64, "\89\0\88\0\129\98\0\130\90\0",
	73, "\71\56\0\71\55\0\129\85\55\0\130\77\55\0",
	82, "\97\0\96\0\129\102\0\130\94\0",
	91, "\64\130\98\0\64\130\97\0\129\80\130\97\0\130\72\130\97\0",
	101, "\64\110\0\64\109\0\129\80\109\0\130\72\109\0",
	110, "\64\118\0\64\117\0\129\80\117\0\130\72\117\0",
	119, "\64\126\0\64\125\0\129\80\125\0\130\72\125\0",
	128, "\64\129\6\0\64\129\5\0\129\80\129\5\0\130\72\129\5\0",
	137, "\65\129\16\0\64\129\15\0\129\80\129\15\0\130\72\129\15\0",
	146, "\66\129\24\0\64\129\23\0\129\80\129\23\0\130\72\129\23\0",
	155, "\64\129\32\0\64\129\31\0\129\80\129\31\0\130\72\129\31\0",
	165, "\64\129\40\0\64\129\39\0\129\80\129\39\0\130\72\129\39\0",
	174, "\64\129\48\0\64\129\47\0\129\80\129\47\0\130\72\129\47\0",
	183, "\69\18\130\98\0\69\18\130\97\0\129\83\18\130\97\0\130\75\18\130\97\0",
	192, "\69\18\110\0\69\18\109\0\129\83\18\109\0\130\75\18\109\0",
	201, "\69\18\118\0\69\18\117\0\129\83\18\117\0\130\75\18\117\0",
	210, "\69\18\126\0\69\18\125\0\129\83\18\125\0\130\75\18\125\0",
	219, "\69\18\129\6\0\69\18\129\5\0\129\83\18\129\5\0\130\75\18\129\5\0",
	229, "\69\18\129\16\0\69\18\129\15\0\129\83\18\129\15\0\130\75\18\129\15\0",
	238, "\69\18\129\24\0\69\18\129\23\0\129\83\18\129\23\0\130\75\18\129\23\0",
	247, "\69\18\129\32\0\69\18\129\31\0\129\83\18\129\31\0\130\75\18\129\31\0",
	256, "\69\18\129\40\0\69\18\129\39\0\129\83\18\129\39\0\130\75\18\129\39\0",
	265, "\69\18\129\48\0\69\18\129\47\0\129\83\18\129\47\0\130\75\18\129\47\0",
	274, "\70\23\130\98\0\70\23\130\97\0\129\84\23\130\97\0\130\76\23\130\97\0",
	283, "\70\23\110\0\70\23\109\0\129\84\23\109\0\130\76\23\109\0",
	293, "\70\23\118\0\70\23\117\0\129\84\23\117\0\130\76\23\117\0",
	302, "\70\23\126\0\70\23\125\0\129\84\23\125\0\130\76\23\125\0",
	311, "\70\23\129\6\0\70\23\129\5\0\129\84\23\129\5\0\130\76\23\129\5\0",
	320, "\70\23\129\16\0\70\23\129\15\0\129\84\23\129\15\0\130\76\23\129\15\0",
	329, "\70\23\129\24\0\70\23\129\23\0\129\84\23\129\23\0\130\76\23\129\23\0",
	338, "\70\23\129\32\0\70\23\129\31\0\129\84\23\129\31\0\130\76\23\129\31\0",
	347, "\70\23\129\40\0\70\23\129\39\0\129\84\23\129\39\0\130\76\23\129\39\0",
	357, "\70\23\129\48\0\70\23\129\47\0\129\84\23\129\47\0\130\76\23\129\47\0",
	366, "\71\30\130\98\0\71\30\130\97\0\129\85\30\130\97\0\130\77\30\130\97\0",
	402, "\99\0\98\0\129\103\0\130\95\0",
	644, "\79\130\56\0\79\130\32\0\129\93\130\32\0\130\85\130\32\0",
	805, "\101\0\100\0\129\104\0\130\96\0",
	966, "\79\130\58\0\79\130\34\0\129\93\130\34\0\130\85\130\34\0",
	1127, "\78\27\0\78\26\0\129\92\26\0\130\84\26\0",
	1448, "\79\130\61\0\79\130\37\0\129\93\130\37\0\130\85\130\37\0",
	1609, "\81\0\80\0\129\94\0\130\86\0",
	1770, "\63\15\130\53\0\63\15\130\29\0\129\79\15\130\29\0\130\71\15\130\29\0",
	1931, "\63\15\130\54\0\63\15\130\30\0\129\79\15\130\30\0\130\71\15\130\30\0",
	2092, "\63\15\130\55\0\63\15\130\31\0\129\79\15\130\31\0\130\71\15\130\31\0",
	2253, "\63\15\130\56\0\63\15\130\32\0\129\79\15\130\32\0\130\71\15\130\32\0",
	2414, "\63\15\130\57\0\63\15\130\33\0\129\79\15\130\33\0\130\71\15\130\33\0",
	2575, "\63\15\130\58\0\63\15\130\34\0\129\79\15\130\34\0\130\71\15\130\34\0",
	2736, "\63\15\130\59\0\63\15\130\35\0\129\79\15\130\35\0\130\71\15\130\35\0",
	2897, "\63\15\130\60\0\63\15\130\36\0\129\79\15\130\36\0\130\71\15\130\36\0",
	3058, "\63\15\130\61\0\63\15\130\37\0\129\79\15\130\37\0\130\71\15\130\37\0",
	3219, "\69\130\42\0\69\130\18\0\129\83\130\18\0\130\75\130\18\0",
	3380, "\69\20\130\53\0\69\20\130\29\0\129\83\20\130\29\0\130\75\20\130\29\0",
	3541, "\69\20\130\54\0\69\20\130\30\0\129\83\20\130\30\0\130\75\20\130\30\0",
	3701, "\69\20\130\55\0\69\20\130\31\0\129\83\20\130\31\0\130\75\20\130\31\0",
	3862, "\69\20\130\56\0\69\20\130\32\0\129\83\20\130\32\0\130\75\20\130\32\0",
	4023, "\69\20\130\57\0\69\20\130\33\0\129\83\20\130\33\0\130\75\20\130\33\0",
	4184, "\69\20\130\58\0\69\20\130\34\0\129\83\20\130\34\0\130\75\20\130\34\0",
	4345, "\69\20\130\59\0\69\20\130\35\0\129\83\20\130\35\0\130\75\20\130\35\0",
	4506, "\69\20\130\60\0\69\20\130\36\0\129\83\20\130\36\0\130\75\20\130\36\0",
	4667, "\69\20\130\61\0\69\20\130\37\0\129\83\20\130\37\0\130\75\20\130\37\0",
	4828, "\70\130\44\0\70\130\20\0\129\84\130\20\0\130\76\130\20\0",
	4989, "\70\25\130\53\0\70\25\130\29\0\129\84\25\130\29\0\130\76\25\130\29\0",
	5150, "\70\25\130\54\0\70\25\130\30\0\129\84\25\130\30\0\130\76\25\130\30\0",
	5311, "\70\25\130\55\0\70\25\130\31\0\129\84\25\130\31\0\130\76\25\130\31\0",
	5472, "\70\25\130\56\0\70\25\130\32\0\129\84\25\130\32\0\130\76\25\130\32\0",
	5633, "\70\25\130\57\0\70\25\130\33\0\129\84\25\130\33\0\130\76\25\130\33\0",
	5794, "\70\25\130\58\0\70\25\130\34\0\129\84\25\130\34\0\130\76\25\130\34\0",
	5955, "\70\25\130\59\0\70\25\130\35\0\129\84\25\130\35\0\130\76\25\130\35\0",
	6116, "\70\25\130\60\0\70\25\130\36\0\129\84\25\130\36\0\130\76\25\130\36\0",
	6276, "\70\25\130\61\0\70\25\130\37\0\129\84\25\130\37\0\130\76\25\130\37\0",
	6437, "\71\130\46\0\71\130\22\0\129\85\130\22\0\130\77\130\22\0",
	6598, "\71\32\130\53\0\71\32\130\29\0\129\85\32\130\29\0\130\77\32\130\29\0",
	6759, "\71\32\130\54\0\71\32\130\30\0\129\85\32\130\30\0\130\77\32\130\30\0",
	6920, "\71\32\130\55\0\71\32\130\31\0\129\85\32\130\31\0\130\77\32\130\31\0",
	7081, "\71\32\130\56\0\71\32\130\32\0\129\85\32\130\32\0\130\77\32\130\32\0",
	7242, "\71\32\130\57\0\71\32\130\33\0\129\85\32\130\33\0\130\77\32\130\33\0",
	7403, "\71\32\130\58\0\71\32\130\34\0\129\85\32\130\34\0\130\77\32\130\34\0",
	7564, "\71\32\130\59\0\71\32\130\35\0\129\85\32\130\35\0\130\77\32\130\35\0",
	7725, "\71\32\130\60\0\71\32\130\36\0\129\85\32\130\36\0\130\77\32\130\36\0",
	7886, "\71\32\130\61\0\71\32\130\37\0\129\85\32\130\37\0\130\77\32\130\37\0",
	8047, "\72\130\47\0\72\130\23\0\129\86\130\23\0\130\78\130\23\0",
	8208, "\72\37\130\53\0\72\37\130\29\0\129\86\37\130\29\0\130\78\37\130\29\0",
	8369, "\72\37\130\54\0\72\37\130\30\0\129\86\37\130\30\0\130\78\37\130\30\0",
	8530, "\72\37\130\55\0\72\37\130\31\0\129\86\37\130\31\0\130\78\37\130\31\0",
	8690, "\72\37\130\56\0\72\37\130\32\0\129\86\37\130\32\0\130\78\37\130\32\0",
	8851, "\72\37\130\57\0\72\37\130\33\0\129\86\37\130\33\0\130\78\37\130\33\0",
	9012, "\72\37\130\58\0\72\37\130\34\0\129\86\37\130\34\0\130\78\37\130\34\0",
	9173, "\72\37\130\59\0\72\37\130\35\0\129\86\37\130\35\0\130\78\37\130\35\0",
	9334, "\72\37\130\60\0\72\37\130\36\0\129\86\37\130\36\0\130\78\37\130\36\0",
	9495, "\72\37\130\61\0\72\37\130\37\0\129\86\37\130\37\0\130\78\37\130\37\0",
	9656, "\74\130\49\0\74\130\25\0\129\88\130\25\0\130\80\130\25\0",
	9817, "\74\42\130\53\0\74\42\130\29\0\129\88\42\130\29\0\130\80\42\130\29\0",
	9978, "\74\42\130\54\0\74\42\130\30\0\129\88\42\130\30\0\130\80\42\130\30\0",
	10139, "\74\42\130\55\0\74\42\130\31\0\129\88\42\130\31\0\130\80\42\130\31\0",
	10300, "\74\42\130\56\0\74\42\130\32\0\129\88\42\130\32\0\130\80\42\130\32\0",
	10461, "\74\42\130\57\0\74\42\130\33\0\129\88\42\130\33\0\130\80\42\130\33\0",
	10622, "\74\42\130\58\0\74\42\130\34\0\129\88\42\130\34\0\130\80\42\130\34\0",
	10783, "\74\42\130\59\0\74\42\130\35\0\129\88\42\130\35\0\130\80\42\130\35\0",
	10944, "\74\42\130\60\0\74\42\130\36\0\129\88\42\130\36\0\130\80\42\130\36\0",
	11104, "\74\42\130\61\0\74\42\130\37\0\129\88\42\130\37\0\130\80\42\130\37\0",
	11265, "\75\130\50\0\75\130\26\0\129\89\130\26\0\130\81\130\26\0",
	11426, "\75\46\130\53\0\75\46\130\29\0\129\89\46\130\29\0\130\81\46\130\29\0",
	11587, "\75\46\130\54\0\75\46\130\30\0\129\89\46\130\30\0\130\81\46\130\30\0",
	11748, "\75\46\130\55\0\75\46\130\31\0\129\89\46\130\31\0\130\81\46\130\31\0",
	11909, "\75\46\130\56\0\75\46\130\32\0\129\89\46\130\32\0\130\81\46\130\32\0",
	12070, "\75\46\130\57\0\75\46\130\33\0\129\89\46\130\33\0\130\81\46\130\33\0",
	12231, "\75\46\130\58\0\75\46\130\34\0\129\89\46\130\34\0\130\81\46\130\34\0",
	12392, "\75\46\130\59\0\75\46\130\35\0\129\89\46\130\35\0\130\81\46\130\35\0",
	12553, "\75\46\130\60\0\75\46\130\36\0\129\89\46\130\36\0\130\81\46\130\36\0",
	12714, "\75\46\130\61\0\75\46\130\37\0\129\89\46\130\37\0\130\81\46\130\37\0",
	12875, "\76\130\51\0\76\130\27\0\129\90\130\27\0\130\82\130\27\0",
	13036, "\76\58\130\53\0\76\58\130\29\0\129\90\58\130\29\0\130\82\58\130\29\0",
	13197, "\76\58\130\54\0\76\58\130\30\0\129\90\58\130\30\0\130\82\58\130\30\0",
	13358, "\76\58\130\55\0\76\58\130\31\0\129\90\58\130\31\0\130\82\58\130\31\0",
	13518, "\76\58\130\56\0\76\58\130\32\0\129\90\58\130\32\0\130\82\58\130\32\0",
	13679, "\76\58\130\57\0\76\58\130\33\0\129\90\58\130\33\0\130\82\58\130\33\0",
	13840, "\76\58\130\58\0\76\58\130\34\0\129\90\58\130\34\0\130\82\58\130\34\0",
	14001, "\76\58\130\59\0\76\58\130\35\0\129\90\58\130\35\0\130\82\58\130\35\0",
	14162, "\76\58\130\60\0\76\58\130\36\0\129\90\58\130\36\0\130\82\58\130\36\0",
	14323, "\76\58\130\61\0\76\58\130\37\0\129\90\58\130\37\0\130\82\58\130\37\0",
	14484, "\77\130\52\0\77\130\28\0\129\91\130\28\0\130\83\130\28\0",
	14645, "\77\62\130\53\0\77\62\130\29\0\129\91\62\130\29\0\130\83\62\130\29\0",
	14806, "\77\62\130\54\0\77\62\130\30\0\129\91\62\130\30\0\130\83\62\130\30\0",
	14967, "\77\62\130\55\0\77\62\130\31\0\129\91\62\130\31\0\130\83\62\130\31\0",
	15128, "\77\62\130\56\0\77\62\130\32\0\129\91\62\130\32\0\130\83\62\130\32\0",
	15289, "\77\62\130\57\0\77\62\130\33\0\129\91\62\130\33\0\130\83\62\130\33\0",
	15450, "\77\62\130\58\0\77\62\130\34\0\129\91\62\130\34\0\130\83\62\130\34\0",
	15611, "\77\62\130\59\0\77\62\130\35\0\129\91\62\130\35\0\130\83\62\130\35\0",
	15772, "\77\62\130\60\0\77\62\130\36\0\129\91\62\130\36\0\130\83\62\130\36\0",
	15933, "\77\62\130\61\0\77\62\130\37\0\129\91\62\130\37\0\130\83\62\130\37\0",
	16093, "\69\130\38\0\69\130\14\0\129\83\130\14\0\130\75\130\14\0",
	17703, "\67\130\39\0\67\130\15\0\129\81\130\15\0\130\73\130\15\0",
	19312, "\69\130\40\0\69\130\16\0\129\83\130\16\0\130\75\130\16\0",
	20921, "\70\7\130\41\0\70\7\130\17\0\129\84\7\130\17\0\130\76\7\130\17\0",
	22531, "\71\8\130\41\0\71\8\130\17\0\129\85\8\130\17\0\130\77\8\130\17\0",
	24140, "\72\9\130\41\0\72\9\130\17\0\129\86\9\130\17\0\130\78\9\130\17\0",
	25750, "\74\10\130\41\0\74\10\130\17\0\129\88\10\130\17\0\130\80\10\130\17\0",
	27359, "\75\11\130\41\0\75\11\130\17\0\129\89\11\130\17\0\130\81\11\130\17\0",
	28968, "\68\12\130\41\0\68\12\130\17\0\129\82\12\130\17\0\130\74\12\130\17\0",
	30578, "\77\13\130\41\0\77\13\130\17\0\129\91\13\130\17\0\130\83\13\130\17\0",
	32187, "\69\17\130\43\0\69\130\19\0\129\83\130\19\0\130\75\130\19\0",
	33796, "\63\14\129\52\0\63\14\129\51\0\129\79\14\129\51\0\130\71\14\129\51\0",
	35406, "\69\19\129\52\0\69\19\129\51\0\129\83\19\129\51\0\130\75\19\129\51\0",
	37015, "\70\24\129\52\0\70\24\129\51\0\129\84\24\129\51\0\130\76\24\129\51\0",
	38624, "\71\31\129\52\0\71\31\129\51\0\129\85\31\129\51\0\130\77\31\129\51\0",
	40234, "\72\36\129\52\0\72\36\129\51\0\129\86\36\129\51\0\130\78\36\129\51\0",
	41843, "\74\41\129\52\0\74\41\129\51\0\129\88\41\129\51\0\130\80\41\129\51\0",
	43452, "\75\45\129\52\0\75\45\129\51\0\129\89\45\129\51\0\130\81\45\129\51\0",
	45062, "\76\57\129\52\0\76\57\129\51\0\129\90\57\129\51\0\130\82\57\129\51\0",
	46671, "\77\61\129\52\0\77\61\129\51\0\129\91\61\129\51\0\130\83\61\129\51\0",
	48280, "\70\22\130\45\0\70\22\130\21\0\129\84\22\130\21\0\130\76\22\130\21\0",
	49890, "\63\14\129\56\0\63\14\129\55\0\129\79\14\129\55\0\130\71\14\129\55\0",
	51499, "\69\19\129\56\0\69\19\129\55\0\129\83\19\129\55\0\130\75\19\129\55\0",
	53108, "\70\24\129\56\0\70\24\129\55\0\129\84\24\129\55\0\130\76\24\129\55\0",
	54718, "\71\31\129\56\0\71\31\129\55\0\129\85\31\129\55\0\130\77\31\129\55\0",
	56327, "\72\36\129\56\0\72\36\129\55\0\129\86\36\129\55\0\130\78\36\129\55\0",
	57936, "\74\41\129\56\0\74\41\129\55\0\129\88\41\129\55\0\130\80\41\129\55\0",
	59546, "\75\45\129\56\0\75\45\129\55\0\129\89\45\129\55\0\130\81\45\129\55\0",
	61155, "\76\57\129\56\0\76\57\129\55\0\129\90\57\129\55\0\130\82\57\129\55\0",
	62764, "\77\61\129\56\0\77\61\129\55\0\129\91\61\129\55\0\130\83\61\129\55\0",
	64374, "\71\29\130\45\0\71\29\130\21\0\129\85\29\130\21\0\130\77\29\130\21\0",
	65983, "\63\14\129\60\0\63\14\129\59\0\129\79\14\129\59\0\130\71\14\129\59\0",
	67592, "\69\19\129\60\0\69\19\129\59\0\129\83\19\129\59\0\130\75\19\129\59\0",
	69202, "\70\24\129\60\0\70\24\129\59\0\129\84\24\129\59\0\130\76\24\129\59\0",
	70811, "\71\31\129\60\0\71\31\129\59\0\129\85\31\129\59\0\130\77\31\129\59\0",
	72420, "\72\36\129\60\0\72\36\129\59\0\129\86\36\129\59\0\130\78\36\129\59\0",
	74030, "\74\41\129\60\0\74\41\129\59\0\129\88\41\129\59\0\130\80\41\129\59\0",
	75639, "\75\45\129\60\0\75\45\129\59\0\129\89\45\129\59\0\130\81\45\129\59\0",
	77249, "\76\57\129\60\0\76\57\129\59\0\129\90\57\129\59\0\130\82\57\129\59\0",
	78858, "\77\61\129\60\0\77\61\129\59\0\129\91\61\129\59\0\130\83\61\129\59\0",
	80467, "\73\34\130\48\0\73\34\130\24\0\129\87\34\130\24\0\130\79\34\130\24\0",
	82077, "\63\14\129\64\0\63\14\129\63\0\129\79\14\129\63\0\130\71\14\129\63\0",
	83686, "\69\19\129\64\0\69\19\129\63\0\129\83\19\129\63\0\130\75\19\129\63\0",
	85295, "\70\24\129\64\0\70\24\129\63\0\129\84\24\129\63\0\130\76\24\129\63\0",
	86905, "\71\31\129\64\0\71\31\129\63\0\129\85\31\129\63\0\130\77\31\129\63\0",
	88514, "\72\36\129\64\0\72\36\129\63\0\129\86\36\129\63\0\130\78\36\129\63\0",
	90123, "\74\41\129\64\0\74\41\129\63\0\129\88\41\129\63\0\130\80\41\129\63\0",
	91733, "\75\45\129\64\0\75\45\129\63\0\129\89\45\129\63\0\130\81\45\129\63\0",
	93342, "\76\57\129\64\0\76\57\129\63\0\129\90\57\129\63\0\130\82\57\129\63\0",
	94951, "\77\61\129\64\0\77\61\129\63\0\129\91\61\129\63\0\130\83\61\129\63\0",
	96561, "\70\39\130\48\0\70\39\130\24\0\129\84\39\130\24\0\130\76\39\130\24\0",
	98170, "\63\14\129\66\0\63\14\129\65\0\129\79\14\129\65\0\130\71\14\129\65\0",
	99779, "\69\19\129\66\0\69\19\129\65\0\129\83\19\129\65\0\130\75\19\129\65\0",
	101389, "\70\24\129\66\0\70\24\129\65\0\129\84\24\129\65\0\130\76\24\129\65\0",
	102998, "\71\31\129\66\0\71\31\129\65\0\129\85\31\129\65\0\130\77\31\129\65\0",
	104607, "\72\36\129\66\0\72\36\129\65\0\129\86\36\129\65\0\130\78\36\129\65\0",
	106217, "\74\41\129\66\0\74\41\129\65\0\129\88\41\129\65\0\130\80\41\129\65\0",
	107826, "\75\45\129\66\0\75\45\129\65\0\129\89\45\129\65\0\130\81\45\129\65\0",
	109435, "\76\57\129\66\0\76\57\129\65\0\129\90\57\129\65\0\130\82\57\129\65\0",
	111045, "\77\61\129\66\0\77\61\129\65\0\129\91\61\129\65\0\130\83\61\129\65\0",
	112654, "\87\0\86\0\129\97\0\130\89\0",
	114263, "\63\14\129\70\0\63\14\129\69\0\129\79\14\129\69\0\130\71\14\129\69\0",
	115873, "\69\19\129\70\0\69\19\129\69\0\129\83\19\129\69\0\130\75\19\129\69\0",
	117482, "\70\24\129\70\0\70\24\129\69\0\129\84\24\129\69\0\130\76\24\129\69\0",
	119091, "\71\31\129\70\0\71\31\129\69\0\129\85\31\129\69\0\130\77\31\129\69\0",
	120701, "\72\36\129\70\0\72\36\129\69\0\129\86\36\129\69\0\130\78\36\129\69\0",
	122310, "\74\41\129\70\0\74\41\129\69\0\129\88\41\129\69\0\130\80\41\129\69\0",
	123919, "\75\45\129\70\0\75\45\129\69\0\129\89\45\129\69\0\130\81\45\129\69\0",
	125529, "\76\57\129\70\0\76\57\129\69\0\129\90\57\129\69\0\130\82\57\129\69\0",
	127138, "\77\61\129\70\0\77\61\129\69\0\129\91\61\129\69\0\130\83\61\129\69\0",
	128748, "\71\54\0\71\53\0\129\85\53\0\130\77\53\0",
	130357, "\63\14\129\74\0\63\14\129\73\0\129\79\14\129\73\0\130\71\14\129\73\0",
	131966, "\69\19\129\74\0\69\19\129\73\0\129\83\19\129\73\0\130\75\19\129\73\0",
	133576, "\70\24\129\74\0\70\24\129\73\0\129\84\24\129\73\0\130\76\24\129\73\0",
	135185, "\71\31\129\74\0\71\31\129\73\0\129\85\31\129\73\0\130\77\31\129\73\0",
	136794, "\72\36\129\74\0\72\36\129\73\0\129\86\36\129\73\0\130\78\36\129\73\0",
	138404, "\74\41\129\74\0\74\41\129\73\0\129\88\41\129\73\0\130\80\41\129\73\0",
	140013, "\75\45\129\74\0\75\45\129\73\0\129\89\45\129\73\0\130\81\45\129\73\0",
	141622, "\76\57\129\74\0\76\57\129\73\0\129\90\57\129\73\0\130\82\57\129\73\0",
	143232, "\77\61\129\74\0\77\61\129\73\0\129\91\61\129\73\0\130\83\61\129\73\0",
	144841, "\95\0\94\0\129\101\0\130\93\0",
	146450, "\63\14\129\78\0\63\14\129\77\0\129\79\14\129\77\0\130\71\14\129\77\0",
	148060, "\69\19\129\78\0\69\19\129\77\0\129\83\19\129\77\0\130\75\19\129\77\0",
	149669, "\70\24\129\78\0\70\24\129\77\0\129\84\24\129\77\0\130\76\24\129\77\0",
	151278, "\71\31\129\78\0\71\31\129\77\0\129\85\31\129\77\0\130\77\31\129\77\0",
	152888, "\72\36\129\78\0\72\36\129\77\0\129\86\36\129\77\0\130\78\36\129\77\0",
	154497, "\74\41\129\78\0\74\41\129\77\0\129\88\41\129\77\0\130\80\41\129\77\0",
	156106, "\75\45\129\78\0\75\45\129\77\0\129\89\45\129\77\0\130\81\45\129\77\0",
	157716, "\76\57\129\78\0\76\57\129\77\0\129\90\57\129\77\0\130\82\57\129\77\0",
	159325, "\77\61\129\78\0\77\61\129\77\0\129\91\61\129\77\0\130\83\61\129\77\0",
	160934, "\64\130\13\0\64\130\12\0\129\80\130\12\0\130\72\130\12\0",
	177028, "\64\108\0\64\107\0\129\80\107\0\130\72\107\0",
	193121, "\64\116\0\64\115\0\129\80\115\0\130\72\115\0",
	209215, "\64\124\0\64\123\0\129\80\123\0\130\72\123\0",
	225308, "\64\129\4\0\64\129\3\0\129\80\129\3\0\130\72\129\3\0",
	241402, "\65\129\14\0\64\129\13\0\129\80\129\13\0\130\72\129\13\0",
	257495, "\66\129\22\0\64\129\21\0\129\80\129\21\0\130\72\129\21\0",
	273588, "\65\129\30\0\64\129\29\0\129\80\129\29\0\130\72\129\29\0",
	289682, "\65\129\38\0\64\129\37\0\129\80\129\37\0\130\72\129\37\0",
	305775, "\64\129\46\0\64\129\45\0\129\80\129\45\0\130\72\129\45\0",
	321869, "\69\18\130\13\0\69\18\130\12\0\129\83\18\130\12\0\130\75\18\130\12\0",
	337962, "\69\18\108\0\69\18\107\0\129\83\18\107\0\130\75\18\107\0",
	354056, "\69\18\116\0\69\18\115\0\129\83\18\115\0\130\75\18\115\0",
	370149, "\69\18\124\0\69\18\123\0\129\83\18\123\0\130\75\18\123\0",
	386243, "\69\18\129\4\0\69\18\129\3\0\129\83\18\129\3\0\130\75\18\129\3\0",
	402336, "\69\18\129\14\0\69\18\129\13\0\129\83\18\129\13\0\130\75\18\129\13\0",
	418429, "\69\18\129\22\0\69\18\129\21\0\129\83\18\129\21\0\130\75\18\129\21\0",
	434523, "\69\18\129\30\0\69\18\129\29\0\129\83\18\129\29\0\130\75\18\129\29\0",
	450616, "\69\18\129\38\0\69\18\129\37\0\129\83\18\129\37\0\130\75\18\129\37\0",
	466710, "\69\18\129\46\0\69\18\129\45\0\129\83\18\129\45\0\130\75\18\129\45\0",
	482803, "\70\23\130\13\0\70\23\130\12\0\129\84\23\130\12\0\130\76\23\130\12\0",
	498897, "\70\23\108\0\70\23\107\0\129\84\23\107\0\130\76\23\107\0",
	514990, "\70\23\116\0\70\23\115\0\129\84\23\115\0\130\76\23\115\0",
	531084, "\70\23\124\0\70\23\123\0\129\84\23\123\0\130\76\23\123\0",
	547177, "\70\23\129\4\0\70\23\129\3\0\129\84\23\129\3\0\130\76\23\129\3\0",
	563270, "\70\23\129\14\0\70\23\129\13\0\129\84\23\129\13\0\130\76\23\129\13\0",
	579364, "\70\23\129\22\0\70\23\129\21\0\129\84\23\129\21\0\130\76\23\129\21\0",
	595457, "\70\23\129\30\0\70\23\129\29\0\129\84\23\129\29\0\130\76\23\129\29\0",
	611551, "\70\23\129\38\0\70\23\129\37\0\129\84\23\129\37\0\130\76\23\129\37\0",
	627644, "\70\23\129\46\0\70\23\129\45\0\129\84\23\129\45\0\130\76\23\129\45\0",
	643738, "\71\30\130\13\0\71\30\130\12\0\129\85\30\130\12\0\130\77\30\130\12\0",
	659831, "\71\30\108\0\71\30\107\0\129\85\30\107\0\130\77\30\107\0",
	675924, "\71\30\116\0\71\30\115\0\129\85\30\115\0\130\77\30\115\0",
	692018, "\71\30\124\0\71\30\123\0\129\85\30\123\0\130\77\30\123\0",
	708111, "\71\30\129\4\0\71\30\129\3\0\129\85\30\129\3\0\130\77\30\129\3\0",
	724205, "\71\30\129\14\0\71\30\129\13\0\129\85\30\129\13\0\130\77\30\129\13\0",
	740298, "\71\30\129\22\0\71\30\129\21\0\129\85\30\129\21\0\130\77\30\129\21\0",
	756392, "\71\30\129\30\0\71\30\129\29\0\129\85\30\129\29\0\130\77\30\129\29\0",
	772485, "\71\30\129\38\0\71\30\129\37\0\129\85\30\129\37\0\130\77\30\129\37\0",
	788579, "\71\30\129\46\0\71\30\129\45\0\129\85\30\129\45\0\130\77\30\129\45\0",
	804672, "\72\35\130\13\0\72\35\130\12\0\129\86\35\130\12\0\130\78\35\130\12\0",
	820765, "\102\35\130\13\0\102\35\130\12\0\129\105\35\130\12\0\130\78\35\130\12\0",
}

ordinals = {
	{L"1st", L"1stb", L"1stc"},
	{L"2nd", L"2ndb", L"2ndc"},
	{L"3rd", L"3rdb", L"3rdc"},
	{L"4th", L"4thb", L"4thc"},
	{L"5th", L"5thb", L"5thc"},
	{L"6th", L"6thb", L"6thc"},
	{L"7th", nil, L"7thc"},
	{L"8th", nil, L"8thc"},
	{L"9th", nil, L"9thc"},
	{nil, nil, L"10thc"},
	{nil, nil, L"11thc"},
	{nil, nil, L"12thc"},
	{nil, nil, L"13thc"},
	{nil, nil, L"14thc"},
	{nil, nil, L"15thc"},
	{nil, nil, L"16thc"},
	{nil, nil, L"17thc"},
	{nil, nil, L"18thc"},
	{nil, nil, L"19thc"},
	{nil, nil, L"20thc"},
}

